! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! 
! Utility Data Module File
! 
! Generated by KPP-2.2.4_gc symbolic chemistry Kinetics PreProcessor
!       (http://www.cs.vt.edu/~asandu/Software/KPP)
! KPP is distributed under GPL, the general public licence
!       (http://www.gnu.org/copyleft/gpl.html)
! (C) 1995-1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
! (C) 1997-2005, A. Sandu, Michigan Tech, Virginia Tech
!     With important contributions from:
!        M. Damian, Villanova University, USA
!        R. Sander, Max-Planck Institute for Chemistry, Mainz, Germany
! 
! File                 : gckpp_Monitor.f90
! Time                 : Thu Mar 23 12:42:32 2017
! Working directory    : /n/home05/msulprizio/GC/FlexChem/Mechanisms/SOA
! Equation file        : gckpp.kpp
! Output root filename : gckpp
! 
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



MODULE gckpp_Monitor


  CHARACTER(LEN=15), PARAMETER, DIMENSION(90) :: SPC_NAMES_0 = (/ &
     'MONX           ','SO4            ','MSA            ', & ! index 1 - 3
     'LISOPOH        ','LISOPNO3       ','LBRO2H         ', & ! index 4 - 6
     'LBRO2N         ','LTRO2H         ','LTRO2N         ', & ! index 7 - 9
     'LXRO2H         ','LXRO2N         ','PYAC           ', & ! index 10 - 12
     'CO2            ','ONIT           ','POx            ', & ! index 13 - 15
     'LOx            ','PCO            ','LCO            ', & ! index 16 - 18
     'PSO4           ','CHBr3          ','CH2Br2         ', & ! index 19 - 21
     'CH3Br          ','BENZ           ','PPN            ', & ! index 22 - 24
     'TOLU           ','BrNO2          ','IEPOX          ', & ! index 25 - 27
     'PMNN           ','N2O5           ','BRO2           ', & ! index 28 - 30
     'TRO2           ','PAN            ','XRO2           ', & ! index 31 - 33
     'ALK4           ','MAP            ','HNO2           ', & ! index 34 - 36
     'EOH            ','MPN            ','MP             ', & ! index 37 - 39
     'RA3P           ','RB3P           ','XYLE           ', & ! index 40 - 42
     'DMS            ','HNO4           ','C3H8           ', & ! index 43 - 45
     'ETP            ','HOBr           ','Br2            ', & ! index 46 - 48
     'HBr            ','MAOP           ','PIP            ', & ! index 49 - 51
     'RP             ','PP             ','PRPN           ', & ! index 52 - 54
     'BrNO3          ','ETHLN          ','C2H6           ', & ! index 55 - 57
     'R4P            ','ATOOH          ','H2O2           ', & ! index 58 - 60
     'HCOOH          ','RIP            ','VRP            ', & ! index 61 - 63
     'MRP            ','IAP            ','DHMOB          ', & ! index 64 - 66
     'MOBA           ','MTPA           ','ISNOHOO        ', & ! index 67 - 69
     'ISNP           ','ISOPNB         ','IEPOXOO        ', & ! index 70 - 72
     'MOBAOO         ','DIBOO          ','ISNOOB         ', & ! index 73 - 75
     'PMN            ','MACRNO2        ','ROH            ', & ! index 76 - 78
     'MVKOO          ','INPN           ','ACTA           ', & ! index 79 - 81
     'GAOO           ','CH3CHOO        ','BrO            ', & ! index 82 - 84
     'MVKN           ','CH2OO          ','ISOP           ', & ! index 85 - 87
     'PRPE           ','MGLYOO         ','ISOPND         ' /)
  CHARACTER(LEN=15), PARAMETER, DIMENSION(60) :: SPC_NAMES_1 = (/ &
     'MGLOO          ','ACET           ','HNO3           ', & ! index 91 - 93
     'A3O2           ','PROPNN         ','MAOPO2         ', & ! index 94 - 96
     'GLYX           ','MACROO         ','MACRN          ', & ! index 97 - 99
     'OLNN           ','OLND           ','PO2            ', & ! index 100 - 102
     'ISNOOA         ','MAN2           ','B3O2           ', & ! index 103 - 105
     'PRN1           ','PIO2           ','HC5OO          ', & ! index 106 - 108
     'GLYC           ','ETO2           ','VRO2           ', & ! index 109 - 111
     'RCO3           ','KO2            ','R4N1           ', & ! index 112 - 114
     'ISN1           ','ATO2           ','MAO3           ', & ! index 115 - 117
     'SO2            ','MGLY           ','RIO2           ', & ! index 118 - 120
     'INO2           ','HC5            ','CH2O           ', & ! index 121 - 123
     'MRO2           ','ISOPNBO2       ','ISOPNDO2       ', & ! index 124 - 126
     'HAC            ','R4O2           ','ALD2           ', & ! index 127 - 129
     'R4N2           ','MACR           ','MVK            ', & ! index 130 - 132
     'MEK            ','MCO3           ','O3             ', & ! index 133 - 135
     'Br             ','CO             ','OH             ', & ! index 136 - 138
     'NO2            ','NO3            ','HO2            ', & ! index 139 - 141
     'RCHO           ','MO2            ','NO             ', & ! index 142 - 144
     'CH4            ','H2             ','H2O            ', & ! index 145 - 147
     'MOH            ','O2             ','RCOOH          ' /)
  CHARACTER(LEN=15), PARAMETER, DIMENSION(150) :: SPC_NAMES = (/&
    SPC_NAMES_0, SPC_NAMES_1 /)

  INTEGER, DIMENSION(1) :: LOOKAT
  INTEGER, DIMENSION(1) :: MONITOR
  CHARACTER(LEN=15), DIMENSION(1) :: SMASS
  CHARACTER(LEN=100), PARAMETER, DIMENSION(30) :: EQN_NAMES_0 = (/ &
     '       O3 + NO --> NO2 + O2                                                                         ', & ! index 1
     '       O3 + OH --> LOx + HO2 + O2                                                                   ', & ! index 2
     '      O3 + HO2 --> LOx + OH + 2 O2                                                                  ', & ! index 3
     '      O3 + NO2 --> NO3 + O2                                                                         ', & ! index 4
     '      O3 + MO2 --> LOx + CH2O + HO2 + 2 O2                                                          ', & ! index 5
     '          2 OH --> POx + O3 + H2O                                                                   ', & ! index 6
     '          2 OH --> H2O2                                                                             ', & ! index 7
     '      OH + HO2 --> H2O + O2                                                                         ', & ! index 8
     '     H2O2 + OH --> HO2 + H2O                                                                        ', & ! index 9
     '      HO2 + NO --> POx + OH + NO2                                                                   ', & ! index 10
     '         2 HO2 --> H2O2                                                                             ', & ! index 11
     '       OH + H2 --> HO2 + H2O                                                                        ', & ! index 12
     '       CO + OH --> CO2 + LCO + HO2                                                                  ', & ! index 13
     '      OH + CH4 --> MO2 + H2O                                                                        ', & ! index 14
     '      MO2 + NO --> POx + CH2O + NO2 + HO2                                                           ', & ! index 15
     '     HO2 + MO2 --> MP + O2                                                                          ', & ! index 16
     '         2 MO2 --> CH2O + MOH + O2                                                                  ', & ! index 17
     '         2 MO2 --> 2 CH2O + 2 HO2                                                                   ', & ! index 18
     '       MP + OH --> MO2 + H2O                                                                        ', & ! index 19
     '       MP + OH --> CH2O + OH + H2O                                                                  ', & ! index 20
     '    ATOOH + OH --> ATO2 + H2O                                                                       ', & ! index 21
     '    ATOOH + OH --> MGLY + OH + H2O                                                                  ', & ! index 22
     '     CH2O + OH --> PCO + CO + HO2 + H2O                                                             ', & ! index 23
     '      OH + NO2 --> HNO3                                                                             ', & ! index 24
     '     HNO3 + OH --> POx + NO3 + H2O                                                                  ', & ! index 25
     '       OH + NO --> HNO2                                                                             ', & ! index 26
     '     HNO2 + OH --> POx + NO2 + H2O                                                                  ', & ! index 27
     '     NO2 + HO2 --> HNO4                                                                             ', & ! index 28
     '          HNO4 --> NO2 + HO2                                                                        ', & ! index 29
     '     HNO4 + OH --> NO2 + H2O + O2                                                                   ' /)
  CHARACTER(LEN=100), PARAMETER, DIMENSION(30) :: EQN_NAMES_1 = (/ &
     '     NO3 + HO2 --> LOx + OH + NO2 + O2                                                              ', & ! index 31
     '      NO3 + NO --> 2 NO2                                                                            ', & ! index 32
     '      OH + NO3 --> LOx + NO2 + HO2                                                                  ', & ! index 33
     '     NO2 + NO3 --> N2O5                                                                             ', & ! index 34
     '          N2O5 --> NO2 + NO3                                                                        ', & ! index 35
     '    HCOOH + OH --> CO2 + HO2 + H2O                                                                  ', & ! index 36
     '      OH + MOH --> CH2O + HO2                                                                       ', & ! index 37
     '     NO2 + NO3 --> 2 LOx + NO2 + NO + O2                                                            ', & ! index 38
     '    CH2O + NO3 --> LOx + PCO + HNO3 + CO + HO2                                                      ', & ! index 39
     '     ALD2 + OH --> 0.05 PCO + 0.05 CH2O + 0.95 MCO3 + 0.05 CO + 0.05 HO2                            ', & ! index 40
     '    ALD2 + NO3 --> LOx + HNO3 + MCO3                                                                ', & ! index 41
     '    MCO3 + NO2 --> PAN                                                                              ', & ! index 42
     '           PAN --> MCO3 + NO2                                                                       ', & ! index 43
     '     MCO3 + NO --> CO2 + POx + NO2 + MO2                                                            ', & ! index 44
     '     C2H6 + OH --> ETO2 + H2O                                                                       ', & ! index 45
     '     ETO2 + NO --> POx + ALD2 + NO2 + HO2                                                           ', & ! index 46
     '     C3H8 + OH --> B3O2                                                                             ', & ! index 47
     '     C3H8 + OH --> A3O2                                                                             ', & ! index 48
     '     A3O2 + NO --> POx + NO2 + HO2 + RCHO                                                           ', & ! index 49
     '      PO2 + NO --> POx + CH2O + ALD2 + NO2 + HO2                                                    ', & ! index 50
     '     ALK4 + OH --> R4O2                                                                             ', & ! index 51
     '     R4O2 + NO --> POx + 0.32 ACET + 0.05 A3O2 + 0.18 B3O2 + 0.32 ETO2 + 0.32 ALD2 + 0.19 MEK + NO2 ', & ! index 52
     '     R4O2 + NO --> POx + R4N2                                                                       ', & ! index 53
     '     R4N1 + NO --> POx + 0.39 CH2O + 0.3 R4O2 + 0.75 ALD2 + 2 NO2 + 0.57 RCHO                       ', & ! index 54
     '     ATO2 + NO --> POx + 0.96 CH2O + 0.04 R4N2 + 0.96 MCO3 + 0.96 NO2                               ', & ! index 55
     '      KO2 + NO --> POx + 0.93 ALD2 + 0.07 R4N2 + 0.93 MCO3 + 0.93 NO2                               ', & ! index 56
     '     RIO2 + NO --> POx + 0.047 ISOPNB + 0.1 DIBOO + 0.07 ISOPND + 0.123 HC5 + 0.66 CH2O + 0.26 MACR ', & ! index 57
     '          RIO2 --> 0.5 GLYX + 0.5 GLYC + 0.5 MGLY + CH2O + 0.5 HAC + OH + 2 HO2                     ', & ! index 58
     '     VRO2 + NO --> POx + 0.12 MVKN + 0.53 GLYC + 0.35 MGLY + 0.35 CH2O + 0.53 MCO3 + 0.88 NO2 + 0.35', & ! index 59
     '     MRO2 + NO --> POx + 0.728 PCO + 0.15 MACRN + 0.122 MGLY + 0.122 CH2O + 0.728 HAC + 0.728 CO + 0' /)
  CHARACTER(LEN=100), PARAMETER, DIMENSION(30) :: EQN_NAMES_2 = (/ &
     '          MRO2 --> PCO + HAC + CO + OH                                                              ', & ! index 61
     '     MAN2 + NO --> POx + 0.5 PCO + 0.5 PROPNN + 0.5 MGLY + 0.5 CH2O + 0.5 CO + 0.5 OH + 1.5 NO2     ', & ! index 62
     '     B3O2 + NO --> POx + ACET + NO2 + HO2                                                           ', & ! index 63
     '     INO2 + NO --> POx + 0.7 ISN1 + 0.23 HC5 + 0.07 CH2O + 0.035 MACR + 0.035 MVK + 1.3 NO2 + 0.8 HO', & ! index 64
     '    INO2 + NO3 --> LOx + 0.7 ISN1 + 0.23 HC5 + 0.07 CH2O + 0.035 MACR + 0.035 MVK + 1.3 NO2 + 0.8 HO', & ! index 65
     '    ISN1 + NO3 --> 1.4 LOx + 0.4 ISNOOB + 0.6 HNO3 + 0.6 ISNOOA                                     ', & ! index 66
     '  ISNOOA + NO3 --> LOx + PCO + R4N2 + CO + NO2 + HO2                                                ', & ! index 67
     '   ISNOOA + NO --> POx + PCO + R4N2 + CO + NO2 + HO2                                                ', & ! index 68
     '  ISNOOA + NO2 --> LOx + PMN                                                                        ', & ! index 69
     '  ISNOOA + HO2 --> 0.75 LOx + 0.75 RP + 0.25 O3 + 0.25 RCOOH                                        ', & ! index 70
     '  ISNOOB + NO3 --> GLYX + R4N2 + 2 NO2                                                              ', & ! index 71
     '   ISNOOB + NO --> 1.82 POx + 0.94 GLYX + 0.94 R4N2 + 1.88 NO2                                      ', & ! index 72
     '  ISNOOB + HO2 --> INPN                                                                             ', & ! index 73
     '  ISNOOB + MO2 --> 0.4 POx + 0.7 GLYX + 0.75 CH2O + 0.7 R4N2 + 0.7 NO2 + 0.5 HO2 + 0.25 MOH         ', & ! index 74
     '     ISN1 + O3 --> LOx + 0.7 GLYX + 0.75 CH2O + 0.3 R4N2 + 0.7 NO2 + 0.5 HO2 + 0.25 MOH             ', & ! index 75
     '     ISN1 + OH --> 0.655 ISNOHOO + 0.345 ISNOOA                                                     ', & ! index 76
     '  ISNOHOO + NO --> 0.066 LOx + 0.919 GLYX + 0.934 R4N2 + 0.934 HO2                                  ', & ! index 77
     ' ISNOHOO + HO2 --> INPN                                                                             ', & ! index 78
     ' ISNOHOO + MO2 --> 0.3 LOx + 0.7 GLYX + 0.75 CH2O + 0.7 R4N2 + 1.2 HO2 + 0.25 MOH                   ', & ! index 79
     '        2 INO2 --> 0.5 ISOPND + 1.2 ISN1 + 0.23 HC5 + 0.07 CH2O + 0.035 MACR + 0.035 MVK + 0.3 NO2 +', & ! index 80
     '     PRN1 + NO --> POx + CH2O + ALD2 + 2 NO2                                                        ', & ! index 81
     '    ALK4 + NO3 --> LOx + HNO3 + R4O2                                                                ', & ! index 82
     '     R4N2 + OH --> R4N1 + H2O                                                                       ', & ! index 83
     '     ACTA + OH --> CO2 + MO2 + H2O                                                                  ', & ! index 84
     '     OH + RCHO --> RCO3 + H2O                                                                       ', & ! index 85
     '    RCO3 + NO2 --> PPN                                                                              ', & ! index 86
     '           PPN --> RCO3 + NO2                                                                       ', & ! index 87
     '    MAO3 + NO2 --> PMN                                                                              ', & ! index 88
     '           PMN --> MAO3 + NO2                                                                       ', & ! index 89
     '     RCO3 + NO --> POx + ETO2 + NO2                                                                 ' /)
  CHARACTER(LEN=100), PARAMETER, DIMENSION(30) :: EQN_NAMES_3 = (/ &
     '     MAO3 + NO --> CO2 + POx + 0.5 PCO + 0.5 CH2O + 0.5 MCO3 + 0.5 CO + NO2 + 0.5 MO2               ', & ! index 91
     '    NO3 + RCHO --> LOx + HNO3 + RCO3                                                                ', & ! index 92
     '     ACET + OH --> ATO2 + H2O                                                                       ', & ! index 93
     '    A3O2 + MO2 --> 0.25 ROH + 0.75 CH2O + HO2 + 0.75 RCHO + 0.25 MOH                                ', & ! index 94
     '     PO2 + MO2 --> 0.25 ROH + 1.25 CH2O + 0.16 HAC + 0.5 ALD2 + HO2 + 0.09 RCHO + 0.25 MOH          ', & ! index 95
     '    R4O2 + HO2 --> R4P                                                                              ', & ! index 96
     '    R4N1 + HO2 --> R4N2                                                                             ', & ! index 97
     '    ATO2 + HO2 --> 0.85 ATOOH + 0.15 CH2O + 0.15 MCO3 + 0.15 OH                                     ', & ! index 98
     '     KO2 + HO2 --> 0.85 ATOOH + 0.15 ALD2 + 0.15 MCO3 + 0.15 OH                                     ', & ! index 99
     '    RIO2 + HO2 --> 0.88 RIP + 0.12 CH2O + 0.047 MACR + 0.073 MVK + 0.12 OH + 0.12 HO2               ', & ! index 100
     '    VRO2 + HO2 --> 0.1 VRP + 0.578 GLYC + 0.102 MGLY + 0.102 CH2O + 0.187 MEK + 0.578 MCO3 + 0.68 OH', & ! index 101
     '    MRO2 + HO2 --> MRP                                                                              ', & ! index 102
     '    MAN2 + HO2 --> 0.075 PCO + 0.85 ISNP + 0.075 PROPNN + 0.075 MGLY + 0.075 CH2O + 0.075 CO + 0.15 ', & ! index 103
     '    B3O2 + HO2 --> RB3P                                                                             ', & ! index 104
     '    INO2 + HO2 --> INPN                                                                             ', & ! index 105
     '    PRN1 + HO2 --> PRPN                                                                             ', & ! index 106
     '      MEK + OH --> KO2 + H2O                                                                        ', & ! index 107
     '    ETO2 + MO2 --> 0.25 EOH + 0.75 CH2O + 0.75 ALD2 + HO2 + 0.25 MOH                                ', & ! index 108
     '     MEK + NO3 --> LOx + HNO3 + KO2                                                                 ', & ! index 109
     '    R4O2 + MO2 --> 0.25 ROH + 0.16 ACET + 0.03 A3O2 + 0.09 B3O2 + 0.16 ETO2 + 0.75 CH2O + 0.16 ALD2 ', & ! index 110
     '    R4N1 + MO2 --> 0.25 ROH + 0.95 CH2O + 0.15 R4O2 + 0.38 ALD2 + NO2 + 0.5 HO2 + 0.54 RCHO + 0.25 M', & ! index 111
     '    ATO2 + MO2 --> 0.5 MGLY + 0.5 CH2O + 0.2 HAC + 0.3 MCO3 + 0.3 HO2 + 0.5 MOH                     ', & ! index 112
     '     KO2 + MO2 --> 0.25 ROH + 0.75 CH2O + 0.5 ALD2 + 0.25 MEK + 0.5 MCO3 + 0.5 HO2 + 0.25 MOH       ', & ! index 113
     '    RIO2 + MO2 --> 0.24 ROH + 0.3 HC5 + 1.22 CH2O + 0.18 MACR + 0.28 MVK + 1.1 HO2 + 0.24 MOH       ', & ! index 114
     '        2 RIO2 --> 0.48 ROH + 0.5 HC5 + 0.92 CH2O + 0.36 MACR + 0.56 MVK + 1.28 HO2                 ', & ! index 115
     '   HC5OO + MO2 --> 0.33 PCO + 0.25 ROH + 0.13 GLYC + 0.29 MGLY + 0.95 CH2O + 0.18 HAC + 0.25 MEK + 0', & ! index 116
     '    VRO2 + MO2 --> 0.25 ROH + 0.36 GLYC + 0.14 MGLY + 0.89 CH2O + 0.25 MEK + 0.36 MCO3 + 0.64 HO2 + ', & ! index 117
     '    MRO2 + MO2 --> 0.595 PCO + 0.15 ROH + 0.255 MGLY + 1.255 CH2O + 0.595 HAC + 0.595 CO + 1.7 HO2  ', & ! index 118
     '    MAN2 + MO2 --> 0.375 PCO + 0.375 PROPNN + 0.375 MGLY + 0.625 CH2O + 0.25 R4N2 + 0.375 CO + 0.375', & ! index 119
     '    B3O2 + MO2 --> 0.25 ROH + 0.75 ACET + 0.75 CH2O + HO2 + 0.25 MOH                                ' /)
  CHARACTER(LEN=100), PARAMETER, DIMENSION(30) :: EQN_NAMES_4 = (/ &
     '    INO2 + MO2 --> 0.25 ISOPND + 0.6 ISN1 + 0.115 HC5 + 0.785 CH2O + 0.018 MACR + 0.018 MVK + 0.15 N', & ! index 121
     '    PRN1 + MO2 --> 0.25 ROH + 1.25 CH2O + 0.5 ALD2 + NO2 + 0.5 HO2 + 0.25 RCHO + 0.25 MOH           ', & ! index 122
     '      EOH + OH --> ALD2 + HO2                                                                       ', & ! index 123
     '      ROH + OH --> HO2 + RCHO                                                                       ', & ! index 124
     '        2 ETO2 --> 2 ALD2 + 2 HO2                                                                   ', & ! index 125
     '        2 ETO2 --> EOH + ALD2                                                                       ', & ! index 126
     '    ETO2 + HO2 --> ETP                                                                              ', & ! index 127
     '    A3O2 + HO2 --> RA3P                                                                             ', & ! index 128
     '     PO2 + HO2 --> PP                                                                               ', & ! index 129
     '    MCO3 + HO2 --> 0.15 POx + 0.41 MAP + 0.15 ACTA + 0.15 O3 + 0.44 OH + 0.44 MO2                   ', & ! index 130
     '    RCO3 + HO2 --> 0.15 POx + 0.41 RP + 0.44 ETO2 + 0.15 O3 + 0.44 OH + 0.15 RCOOH                  ', & ! index 131
     '    MAO3 + HO2 --> 0.15 POx + 0.39 PCO + 0.41 MAOP + 0.59 CH2O + 0.15 O3 + 0.39 CO + 0.44 OH + 0.39 ', & ! index 132
     '     PRPE + OH --> PO2                                                                              ', & ! index 133
     '     PRPE + O3 --> LOx + 0.56 PCO + 0.12 CH3CHOO + 0.12 CH2OO + 0.5 CH2O + 0.5 ALD2 + 0.56 CO + 0.36', & ! index 134
     '      PMN + OH --> PCO + HAC + CO + NO2                                                             ', & ! index 135
     '      PMN + O3 --> CH2O + MCO3 + NO3                                                                ', & ! index 136
     '     GLYC + OH --> 0.361 CO2 + 0.505 PCO + 0.134 HCOOH + 0.134 GLYX + 0.732 CH2O + 0.505 CO + 0.227 ', & ! index 137
     '     GLYC + OH --> PCO + HCOOH + CO + OH                                                            ', & ! index 138
     '    PRPE + NO3 --> LOx + PRN1                                                                       ', & ! index 139
     '     GLYX + OH --> 2 PCO + 2 CO + HO2                                                               ', & ! index 140
     '     MGLY + OH --> PCO + MCO3 + CO                                                                  ', & ! index 141
     '    GLYX + NO3 --> LOx + 2 PCO + HNO3 + 2 CO + HO2                                                  ', & ! index 142
     '    MGLY + NO3 --> LOx + PCO + HNO3 + MCO3 + CO                                                     ', & ! index 143
     '     ISOP + OH --> LISOPOH + RIO2                                                                   ', & ! index 144
     '      MVK + OH --> VRO2                                                                             ', & ! index 145
     '     MACR + OH --> 0.53 MAO3 + 0.47 MRO2                                                            ', & ! index 146
     '      HAC + OH --> MGLY + HO2                                                                       ', & ! index 147
     '      HAC + OH --> 0.5 CO2 + 0.5 PCO + 0.5 HCOOH + 0.5 ACTA + 0.5 CO + OH + 0.5 MO2                 ', & ! index 148
     '   A3O2 + MCO3 --> HO2 + RCHO + MO2                                                                 ', & ! index 149
     '    PO2 + MCO3 --> CH2O + ALD2 + HO2 + MO2                                                          ' /)
  CHARACTER(LEN=100), PARAMETER, DIMENSION(30) :: EQN_NAMES_5 = (/ &
     '   A3O2 + MCO3 --> ACTA + RCHO                                                                      ', & ! index 151
     '    PO2 + MCO3 --> ACTA + 0.65 HAC + 0.35 RCHO                                                      ', & ! index 152
     '     ISOP + O3 --> LOx + 0.512 PCO + 0.044 MVKOO + 0.12 CH2OO + 0.128 PRPE + 0.066 MACROO + 0.054 VR', & ! index 153
     '      MVK + O3 --> LOx + 0.56 PCO + 0.12 CH2OO + 0.12 MGLOO + 0.5 MGLY + 0.6 CH2O + 0.1 ALD2 + 0.28 ', & ! index 154
     '     MACR + O3 --> LOx + 0.767 PCO + 0.211 CH2OO + 0.022 MGLYOO + 0.88 MGLY + 0.12 CH2O + 0.099 MCO3', & ! index 155
     '    ISOP + NO3 --> LISOPNO3 + LOx + INO2                                                            ', & ! index 156
     '    MACR + NO3 --> LOx + MAN2                                                                       ', & ! index 157
     '    MACR + NO3 --> LOx + HNO3 + MAO3                                                                ', & ! index 158
     '    RCO3 + MO2 --> ETO2 + CH2O + HO2                                                                ', & ! index 159
     '    MAO3 + MO2 --> 2 CH2O + MCO3 + HO2                                                              ', & ! index 160
     '    RCO3 + MO2 --> CH2O + RCOOH                                                                     ', & ! index 161
     '    MAO3 + MO2 --> CH2O + RCOOH                                                                     ', & ! index 162
     '     INPN + OH --> MEK + OH + NO2                                                                   ', & ! index 163
     '     INPN + OH --> 0.36 INO2 + 0.64 R4N2 + 0.64 OH                                                  ', & ! index 164
     '     PRPN + OH --> 0.791 PROPNN + 0.209 PRN1 + 0.791 OH                                             ', & ! index 165
     '      ETP + OH --> 0.36 ETO2 + 0.64 ALD2 + 0.64 OH                                                  ', & ! index 166
     '     RA3P + OH --> 0.36 A3O2 + 0.64 OH + 0.64 RCHO                                                  ', & ! index 167
     '     RB3P + OH --> 0.791 ACET + 0.209 B3O2 + 0.791 OH                                               ', & ! index 168
     '      R4P + OH --> 0.209 R4O2 + 0.791 OH + 0.791 RCHO                                               ', & ! index 169
     '       RP + OH --> RCO3                                                                             ', & ! index 170
     '       PP + OH --> 0.209 PO2 + 0.791 HAC + 0.791 OH                                                 ', & ! index 171
     '      RIP + OH --> 0.387 RIO2 + 0.613 HC5 + 0.613 OH                                                ', & ! index 172
     '      RIP + OH --> IEPOX + OH                                                                       ', & ! index 173
     '    IEPOX + OH --> IEPOXOO                                                                          ', & ! index 174
     ' IEPOXOO + HO2 --> 0.2 CO2 + 0.251 PCO + 0.074 HCOOH + 0.275 GLYX + 0.275 GLYC + 0.275 MGLY + 0.375 ', & ! index 175
     '  IEPOXOO + NO --> 0.2 CO2 + POx + 0.251 PCO + 0.074 HCOOH + 0.275 GLYX + 0.275 GLYC + 0.275 MGLY + ', & ! index 176
     '      IAP + OH --> 0.654 DHMOB + 0.346 HC5OO + 0.654 OH                                             ', & ! index 177
     '      VRP + OH --> 0.209 VRO2 + 0.791 MEK + 0.791 OH                                                ', & ! index 178
     '      MRP + OH --> MRO2                                                                             ', & ! index 179
     '      MRP + OH --> CO2 + HAC + OH                                                                   ' /)
  CHARACTER(LEN=100), PARAMETER, DIMENSION(30) :: EQN_NAMES_6 = (/ &
     '     MAOP + OH --> MAO3                                                                             ', & ! index 181
     '     MAOP + OH --> MAOPO2                                                                           ', & ! index 182
     ' MAOPO2 + MCO3 --> 2 CO2 + HAC + OH + MO2                                                           ', & ! index 183
     ' MAOPO2 + MCO3 --> ACTA + MEK                                                                       ', & ! index 184
     '  MAOPO2 + MO2 --> 0.7 CO2 + 0.3 ROH + CH2O + 0.7 HAC + 0.7 OH + 0.7 HO2                            ', & ! index 185
     '      2 MAOPO2 --> 2 CO2 + 2 HAC + 2 OH                                                             ', & ! index 186
     '  MAOPO2 + HO2 --> CO2 + HAC + 2 OH                                                                 ', & ! index 187
     '   MAOPO2 + NO --> CO2 + POx + HAC + OH + NO2                                                       ', & ! index 188
     '   MAOPO2 + NO --> POx + HNO3                                                                       ', & ! index 189
     '      MAP + OH --> MCO3                                                                             ', & ! index 190
     '    C2H6 + NO3 --> LOx + HNO3 + ETO2                                                                ', & ! index 191
     '      HC5 + O3 --> LOx + 0.89 PCO + 0.055 GAOO + 0.055 MGLYOO + 0.5 GLYC + 0.5 MGLY + 0.445 CH2O + 0', & ! index 192
     '        2 MCO3 --> 2 MO2                                                                            ', & ! index 193
     '    MCO3 + MO2 --> CH2O + HO2 + MO2                                                                 ', & ! index 194
     '    MCO3 + MO2 --> ACTA + CH2O                                                                      ', & ! index 195
     '   R4O2 + MCO3 --> 0.32 ACET + 0.05 A3O2 + 0.18 B3O2 + 0.32 ETO2 + 0.32 ALD2 + 0.19 MEK + 0.27 HO2 +', & ! index 196
     '   ATO2 + MCO3 --> CH2O + MCO3 + MO2                                                                ', & ! index 197
     '    KO2 + MCO3 --> ALD2 + MCO3 + MO2                                                                ', & ! index 198
     '   RIO2 + MCO3 --> CO2 + 0.113 DIBOO + 0.14 HC5 + 0.747 CH2O + 0.294 MACR + 0.453 MVK + 0.887 HO2 + ', & ! index 199
     '  HC5OO + MCO3 --> 0.09 PCO + 0.29 DHMOB + 0.17 MOBA + 0.216 GLYX + 0.234 GLYC + 0.234 MGLY + 0.216 ', & ! index 200
     '   VRO2 + MCO3 --> 0.6 GLYC + 0.4 MGLY + 0.4 CH2O + 0.6 MCO3 + 0.4 HO2 + MO2                        ', & ! index 201
     '   MRO2 + MCO3 --> 0.857 PCO + 0.143 MGLY + 0.143 CH2O + 0.857 HAC + 0.857 CO + 0.85 HO2 + MO2      ', & ! index 202
     '   B3O2 + MCO3 --> ACET + HO2 + MO2                                                                 ', & ! index 203
     '   R4N1 + MCO3 --> 0.39 CH2O + 0.3 R4O2 + 0.75 ALD2 + NO2 + 0.57 RCHO + MO2                         ', & ! index 204
     '   MAN2 + MCO3 --> CO2 + 0.5 PCO + 0.5 PROPNN + 0.5 MGLY + 0.5 CH2O + 0.5 CO + 0.5 NO2 + 0.5 HO2 + M', & ! index 205
     '   INO2 + MCO3 --> 0.7 ISN1 + 0.23 HC5 + 0.07 CH2O + 0.035 MACR + 0.035 MVK + 0.3 NO2 + 0.8 HO2 + MO', & ! index 206
     '   PRN1 + MCO3 --> CH2O + ALD2 + NO2 + MO2                                                          ', & ! index 207
     '   R4O2 + MCO3 --> ACTA + MEK                                                                       ', & ! index 208
     '   ATO2 + MCO3 --> ACTA + MEK                                                                       ', & ! index 209
     '    KO2 + MCO3 --> ACTA + MEK                                                                       ' /)
  CHARACTER(LEN=100), PARAMETER, DIMENSION(30) :: EQN_NAMES_7 = (/ &
     '   RIO2 + MCO3 --> ACTA + MEK                                                                       ', & ! index 211
     '  HC5OO + MCO3 --> ACTA + MEK                                                                       ', & ! index 212
     '   VRO2 + MCO3 --> ACTA + MEK                                                                       ', & ! index 213
     '   MRO2 + MCO3 --> ACTA + MEK                                                                       ', & ! index 214
     '   R4N1 + MCO3 --> ACTA + NO2 + RCHO                                                                ', & ! index 215
     '   MAN2 + MCO3 --> ACTA + NO2 + RCHO                                                                ', & ! index 216
     '   INO2 + MCO3 --> ACTA + NO2 + RCHO                                                                ', & ! index 217
     '   PRN1 + MCO3 --> ACTA + NO2 + RCHO                                                                ', & ! index 218
     '   B3O2 + MCO3 --> ACTA + ACET                                                                      ', & ! index 219
     '   ETO2 + MCO3 --> ALD2 + HO2 + MO2                                                                 ', & ! index 220
     '   ETO2 + MCO3 --> ACTA + ALD2                                                                      ', & ! index 221
     '   RCO3 + MCO3 --> ETO2 + MO2                                                                       ', & ! index 222
     '   MAO3 + MCO3 --> CH2O + MCO3 + MO2                                                                ', & ! index 223
     '         2 NO3 --> 2 LOx + 2 NO2 + O2                                                               ', & ! index 224
     '     NO2 + MO2 --> MPN                                                                              ', & ! index 225
     '           MPN --> NO2 + MO2                                                                        ', & ! index 226
     '   ISOPNB + O3 --> LOx + 0.61 MVKN + 0.39 MACRN + CH2O + 0.27 OH                                    ', & ! index 227
     '   ISOPND + O3 --> LOx + 0.5 ETHLN + 0.5 PROPNN + 0.5 GLYC + 0.5 HAC + 0.27 OH                      ', & ! index 228
     '           HO2 --> O2                                                                               ', & ! index 229
     '           NO2 --> 0.5 LOx + 0.5 HNO2 + 0.5 HNO3                                                    ', & ! index 230
     '           NO3 --> LOx + HNO3                                                                       ', & ! index 231
     '          N2O5 --> LOx + 2 HNO3                                                                     ', & ! index 232
     '      DMS + OH --> SO2 + CH2O + MO2                                                                 ', & ! index 233
     '      DMS + OH --> 0.25 MSA + 0.75 SO2 + MO2                                                        ', & ! index 234
     '     DMS + NO3 --> LOx + HNO3 + SO2 + CH2O + MO2                                                    ', & ! index 235
     '      SO2 + OH --> SO4 + PSO4 + HO2                                                                 ', & ! index 236
     '       O3 + Br --> BrO + O2                                                                         ', & ! index 237
     '     BrO + HO2 --> HOBr + O2                                                                        ', & ! index 238
     '      Br + HO2 --> HBr + O2                                                                         ', & ! index 239
     '      HBr + OH --> Br + H2O                                                                         ' /)
  CHARACTER(LEN=100), PARAMETER, DIMENSION(30) :: EQN_NAMES_8 = (/ &
     '         2 BrO --> 2 LOx + 2 Br + O2                                                                ', & ! index 241
     '         2 BrO --> 2 LOx + Br2 + O2                                                                 ', & ! index 242
     '      BrO + NO --> Br + NO2                                                                         ', & ! index 243
     '    BrNO3 + Br --> Br2 + NO3                                                                        ', & ! index 244
     '      Br2 + OH --> POx + HOBr + Br                                                                  ', & ! index 245
     '      BrO + OH --> LOx + Br + HO2                                                                   ', & ! index 246
     '      Br + NO3 --> BrO + NO2                                                                        ', & ! index 247
     '     CH2O + Br --> PCO + HBr + CO + HO2                                                             ', & ! index 248
     '     ALD2 + Br --> PCO + HBr + MCO3 + CO                                                            ', & ! index 249
     '     ACET + Br --> PCO + HBr + ATO2 + CO                                                            ', & ! index 250
     '     C2H6 + Br --> PCO + HBr + ETO2 + CO                                                            ', & ! index 251
     '     C3H8 + Br --> PCO + HBr + A3O2 + CO                                                            ', & ! index 252
     '      Br + NO2 --> BrNO2                                                                            ', & ! index 253
     '     BrO + NO2 --> BrNO3                                                                            ', & ! index 254
     '    CHBr3 + OH --> 3 Br                                                                             ', & ! index 255
     '   CH2Br2 + OH --> 2 Br                                                                             ', & ! index 256
     '    CH3Br + OH --> Br                                                                               ', & ! index 257
     '         BrNO3 --> HOBr + HNO3                                                                      ', & ! index 258
     '          HOBr --> LOx + 0.5 Br2 + H2O                                                              ', & ! index 259
     '           HBr --> 0.5 Br2                                                                          ', & ! index 260
     '          HOBr --> LOx + 0.5 Br2 + H2O                                                              ', & ! index 261
     '           HBr --> 0.5 Br2                                                                          ', & ! index 262
     '      HC5 + OH --> HC5OO                                                                            ', & ! index 263
     '    HC5OO + NO --> POx + 0.09 PCO + 0.29 DHMOB + 0.17 MOBA + 0.216 GLYX + 0.234 GLYC + 0.234 MGLY + ', & ! index 264
     '    HC5OO + NO --> POx + HNO3                                                                       ', & ! index 265
     '   HC5OO + HO2 --> 0.1 IAP + 0.9 GLYC + 0.9 MGLY + 0.9 OH + 0.9 HO2                                 ', & ! index 266
     '   ISOPND + OH --> LOx + ISOPNDO2                                                                   ', & ! index 267
     '   ISOPNB + OH --> LOx + ISOPNBO2                                                                   ', & ! index 268
     ' ISOPNDO2 + NO --> 2.31 POx + 0.13 ETHLN + 0.31 HCOOH + 0.15 PROPNN + 0.07 MACRN + 0.15 GLYC + 0.65 ', & ! index 269
     ' ISOPNDO2 + NO --> POx + HNO3                                                                       ' /)
  CHARACTER(LEN=100), PARAMETER, DIMENSION(30) :: EQN_NAMES_9 = (/ &
     'ISOPNDO2 + HO2 --> 1.155 POx + 0.065 ETHLN + 0.155 HCOOH + 0.5 ISNP + 0.075 PROPNN + 0.035 MACRN + 0', & ! index 271
     ' ISOPNBO2 + NO --> 2 POx + 0.14 MVKN + 0.26 MACRN + 0.6 GLYC + 0.4 CH2O + 0.6 HAC + 1.6 NO2 + 0.4 HO', & ! index 272
     ' ISOPNBO2 + NO --> POx + HNO3                                                                       ', & ! index 273
     'ISOPNBO2 + HO2 --> POx + 0.5 ISNP + 0.07 MVKN + 0.13 MACRN + 0.3 GLYC + 0.2 CH2O + 0.3 HAC + 0.5 OH ', & ! index 274
     '     ISNP + OH --> 0.388 LOx + 0.612 R4N1 + 0.193 ISOPNBO2 + 0.193 ISOPNDO2 + 0.612 OH              ', & ! index 275
     '     MVKN + OH --> 0.35 PYAC + POx + 0.65 HCOOH + 0.65 MGLY + 0.35 CH2O + NO3                       ', & ! index 276
     '    MACRN + OH --> MACRNO2                                                                          ', & ! index 277
     '  MACRNO2 + NO --> 0.93 CO2 + 1.15 POx + 0.07 HCOOH + 0.08 ACTA + 0.07 MGLY + 0.08 CH2O + 0.85 HAC +', & ! index 278
     ' MACRNO2 + HO2 --> 0.93 CO2 + 0.15 POx + 0.07 HCOOH + 0.08 ACTA + 0.07 MGLY + 0.08 CH2O + 0.85 HAC +', & ! index 279
     ' MACRNO2 + NO2 --> LOx + PMNN                                                                       ', & ! index 280
     '          PMNN --> POx + MACRNO2 + NO2                                                              ', & ! index 281
     '    DHMOB + OH --> 1.5 PCO + 0.5 HAC + 0.5 MEK + 1.5 CO + HO2                                       ', & ! index 282
     '    DIBOO + NO --> POx + 0.48 GLYX + 0.52 GLYC + 0.52 MGLY + 0.48 HAC + NO2 + HO2                   ', & ! index 283
     '    DIBOO + NO --> POx + HNO3                                                                       ', & ! index 284
     '   DIBOO + HO2 --> 0.85 R4P + 0.072 GLYX + 0.078 GLYC + 0.078 MGLY + 0.072 HAC + 0.15 OH + 0.15 HO2 ', & ! index 285
     '     MOBA + OH --> MOBAOO                                                                           ', & ! index 286
     '   MOBAOO + NO --> CO2 + POx + NO2 + HO2 + RCHO                                                     ', & ! index 287
     '   MOBAOO + NO --> POx + HNO3                                                                       ', & ! index 288
     '  MOBAOO + HO2 --> 0.5 CO2 + 0.5 R4P + 0.5 OH + 0.5 HO2 + 0.5 RCHO                                  ', & ! index 289
     '     MOBA + O3 --> CO2 + LOx + MEK + OH + HO2                                                       ', & ! index 290
     '    ETHLN + OH --> CO2 + CH2O + NO2                                                                 ', & ! index 291
     '   PROPNN + OH --> MGLY + NO2                                                                       ', & ! index 292
     '    CH2OO + NO --> POx + CH2O + NO2                                                                 ', & ! index 293
     '   CH2OO + NO2 --> POx + CH2O + NO3                                                                 ', & ! index 294
     '   CH2OO + SO2 --> SO4 + PSO4 + CH2O                                                                ', & ! index 295
     '   CH2OO + H2O --> H2O2 + CH2O                                                                      ', & ! index 296
     '   CH2OO + H2O --> HCOOH                                                                            ', & ! index 297
     '   MACROO + CO --> LCO + MACR                                                                       ', & ! index 298
     '   MACROO + NO --> POx + MACR + NO2                                                                 ', & ! index 299
     '  MACROO + NO2 --> POx + MACR + NO3                                                                 ' /)
  CHARACTER(LEN=100), PARAMETER, DIMENSION(30) :: EQN_NAMES_10 = (/ &
     '  MACROO + SO2 --> SO4 + PSO4 + MACR                                                                ', & ! index 301
     '  MACROO + H2O --> MRP                                                                              ', & ! index 302
     '  MACROO + H2O --> H2O2 + MACR                                                                      ', & ! index 303
     '    MVKOO + CO --> LCO + MVK                                                                        ', & ! index 304
     '    MVKOO + NO --> POx + MVK + NO2                                                                  ', & ! index 305
     '   MVKOO + NO2 --> POx + MVK + NO3                                                                  ', & ! index 306
     '   MVKOO + SO2 --> SO4 + PSO4 + MVK                                                                 ', & ! index 307
     '   MVKOO + H2O --> H2O2 + MVK                                                                       ', & ! index 308
     '   MGLYOO + CO --> LCO + MGLY                                                                       ', & ! index 309
     '   MGLYOO + NO --> POx + MGLY + NO2                                                                 ', & ! index 310
     '  MGLYOO + NO2 --> POx + MGLY + NO3                                                                 ', & ! index 311
     '  MGLYOO + SO2 --> SO4 + PSO4 + MGLY                                                                ', & ! index 312
     '  MGLYOO + H2O --> H2O2 + MGLY                                                                      ', & ! index 313
     '    MGLOO + CO --> LCO + MGLY                                                                       ', & ! index 314
     '    MGLOO + NO --> POx + MGLY + NO2                                                                 ', & ! index 315
     '   MGLOO + NO2 --> POx + MGLY + NO3                                                                 ', & ! index 316
     '   MGLOO + SO2 --> SO4 + PSO4 + MGLY                                                                ', & ! index 317
     '   MGLOO + H2O --> MCO3 + MO2                                                                       ', & ! index 318
     '   MGLOO + H2O --> H2O2 + MGLY                                                                      ', & ! index 319
     '  CH3CHOO + CO --> LCO + ALD2                                                                       ', & ! index 320
     '  CH3CHOO + NO --> POx + ALD2 + NO2                                                                 ', & ! index 321
     ' CH3CHOO + NO2 --> POx + ALD2 + NO3                                                                 ', & ! index 322
     ' CH3CHOO + SO2 --> SO4 + PSO4 + ALD2                                                                ', & ! index 323
     ' CH3CHOO + H2O --> H2O2 + ALD2                                                                      ', & ! index 324
     ' CH3CHOO + H2O --> ACTA                                                                             ', & ! index 325
     '     GAOO + CO --> LCO + GLYC                                                                       ', & ! index 326
     '     GAOO + NO --> POx + GLYC + NO2                                                                 ', & ! index 327
     '    GAOO + NO2 --> POx + GLYC + NO3                                                                 ', & ! index 328
     '    GAOO + SO2 --> SO4 + PSO4 + GLYC                                                                ', & ! index 329
     '    GAOO + H2O --> H2O2 + GLYC                                                                      ' /)
  CHARACTER(LEN=100), PARAMETER, DIMENSION(30) :: EQN_NAMES_11 = (/ &
     '    GAOO + H2O --> HAC                                                                              ', & ! index 331
     '     BENZ + OH --> BRO2 + 0.252 GLYX + 1.92 CH2O + OH                                               ', & ! index 332
     '     TOLU + OH --> TRO2 + 0.26 GLYX + 0.215 MGLY + 1.92 CH2O + OH                                   ', & ! index 333
     '     XYLE + OH --> XRO2 + 0.268 GLYX + 0.463 MGLY + 1.92 CH2O + OH                                  ', & ! index 334
     '    XYLE + NO3 --> CO2 + 2 LOx                                                                      ', & ! index 335
     '          MONX --> 3 CH2O                                                                           ', & ! index 336
     '    BRO2 + HO2 --> LBRO2H                                                                           ', & ! index 337
     '     BRO2 + NO --> LBRO2N                                                                           ', & ! index 338
     '    TRO2 + HO2 --> LTRO2H                                                                           ', & ! index 339
     '     TRO2 + NO --> LTRO2N                                                                           ', & ! index 340
     '    XRO2 + HO2 --> LXRO2H                                                                           ', & ! index 341
     '     XRO2 + NO --> LXRO2N                                                                           ', & ! index 342
     '     MTPA + OH --> PIO2                                                                             ', & ! index 343
     '     PIO2 + NO --> 0.18 ONIT + 0.82 POx + 0.07 HCOOH + 0.11 ACET + 0.23 CH2O + 0.44 MEK + 0.82 NO2 +', & ! index 344
     '    PIO2 + HO2 --> PIP                                                                              ', & ! index 345
     '    PIO2 + MO2 --> 0.25 ROH + 0.75 CH2O + HO2 + 0.25 MOH                                            ', & ! index 346
     '   PIO2 + MCO3 --> MEK + 0.5 HO2 + RCHO + 0.5 MO2 + RCOOH                                           ', & ! index 347
     '    PIO2 + NO3 --> LOx + MEK + NO2 + HO2 + RCHO                                                     ', & ! index 348
     '     MTPA + O3 --> LOx + 0.14 PCO + 0.02 H2O2 + 0.62 KO2 + 0.53 MEK + 0.14 CO + 0.85 OH + 0.1 HO2 + ', & ! index 349
     '    MTPA + NO3 --> 2 LOx + 0.1 OLNN + 0.9 OLND                                                      ', & ! index 350
     '      PIP + OH --> 0.5 PIO2 + 0.5 MEK + HO2 + 0.5 RCHO                                              ', & ! index 351
     '     OLNN + NO --> ONIT + POx + NO2 + HO2                                                           ', & ! index 352
     '     OLND + NO --> 2 POx + 0.287 CH2O + 0.464 MEK + 2 NO2 + 1.24 RCHO                               ', & ! index 353
     '    OLNN + HO2 --> ONIT                                                                             ', & ! index 354
     '    OLND + HO2 --> ONIT                                                                             ', & ! index 355
     '    OLNN + MO2 --> ONIT + CH2O + 2 HO2                                                              ', & ! index 356
     '    OLND + MO2 --> 0.5 ONIT + 0.5 POx + 0.25 ROH + 0.965 CH2O + 0.348 MEK + 0.5 NO2 + 0.5 HO2 + 0.93', & ! index 357
     '   OLNN + MCO3 --> ONIT + HO2 + MO2                                                                 ', & ! index 358
     '   OLND + MCO3 --> POx + 0.287 CH2O + 0.464 MEK + NO2 + 1.24 RCHO + 0.5 MO2 + 0.5 RCOOH             ', & ! index 359
     '    OLNN + NO3 --> ONIT + LOx + NO2 + HO2                                                           ' /)
  CHARACTER(LEN=100), PARAMETER, DIMENSION(30) :: EQN_NAMES_12 = (/ &
     '    OLND + NO3 --> 0.287 CH2O + 0.464 MEK + 2 NO2 + 1.24 RCHO                                       ', & ! index 361
     '        2 OLNN --> 2 ONIT + HO2                                                                     ', & ! index 362
     '   OLNN + OLND --> 1.5 ONIT + 0.5 POx + 0.202 CH2O + 0.149 MEK + 0.5 NO2 + 0.5 HO2 + 0.64 RCHO      ', & ! index 363
     '        2 OLND --> ONIT + POx + 0.504 CH2O + 0.285 MEK + NO2 + 1.21 RCHO                            ', & ! index 364
     '            O3 --> LOx + 2 OH                                                                       ', & ! index 365
     '            O3 --> LOx + OH + HO2                                                                   ', & ! index 366
     '           NO2 --> O3 + NO                                                                          ', & ! index 367
     '          H2O2 --> 2 OH                                                                             ', & ! index 368
     '            MP --> CH2O + OH + HO2                                                                  ', & ! index 369
     '          CH2O --> PCO + CO + 2 HO2                                                                 ', & ! index 370
     '          CH2O --> PCO + CO + H2                                                                    ', & ! index 371
     '          HNO3 --> OH + NO2                                                                         ', & ! index 372
     '          HNO2 --> OH + NO                                                                          ', & ! index 373
     '          HNO4 --> POx + OH + NO3                                                                   ', & ! index 374
     '          HNO4 --> NO2 + HO2                                                                        ', & ! index 375
     '           NO3 --> O3 + NO2                                                                         ', & ! index 376
     '           NO3 --> 2 LOx + NO + O2                                                                  ', & ! index 377
     '          N2O5 --> NO2 + NO3                                                                        ', & ! index 378
     '          ALD2 --> 0.88 PCO + 0.12 MCO3 + 0.88 CO + HO2 + 0.88 MO2                                  ', & ! index 379
     '          ALD2 --> PCO + CO + CH4                                                                   ', & ! index 380
     '           PAN --> 0.3 POx + 0.7 MCO3 + 0.7 NO2 + 0.3 NO3 + 0.3 MO2                                 ', & ! index 381
     '          RCHO --> PCO + ETO2 + CO + HO2                                                            ', & ! index 382
     '          ACET --> MCO3 + MO2                                                                       ', & ! index 383
     '          ACET --> PCO + CO + 2 MO2                                                                 ', & ! index 384
     '           MEK --> 0.85 ETO2 + 0.15 RCO3 + 0.85 MCO3 + 0.15 MO2                                     ', & ! index 385
     '          GLYC --> PCO + 0.9 CH2O + CO + 0.07 OH + 1.73 HO2 + 0.1 MOH                               ', & ! index 386
     '          GLYX --> 2 PCO + 2 CO + 2 HO2                                                             ', & ! index 387
     '          GLYX --> 2 PCO + 2 CO + H2                                                                ', & ! index 388
     '          GLYX --> PCO + CH2O + CO                                                                  ', & ! index 389
     '          MGLY --> PCO + MCO3 + CO + HO2                                                            ' /)
  CHARACTER(LEN=100), PARAMETER, DIMENSION(30) :: EQN_NAMES_13 = (/ &
     '           MVK --> PCO + PRPE + CO                                                                  ', & ! index 391
     '           MVK --> PCO + CH2O + MCO3 + CO + HO2                                                     ', & ! index 392
     '           MVK --> RCO3 + MO2                                                                       ', & ! index 393
     '          MACR --> PCO + CH2O + MCO3 + CO + HO2                                                     ', & ! index 394
     '           HAC --> CH2O + MCO3 + HO2                                                                ', & ! index 395
     '          INPN --> OH + NO2 + HO2 + RCHO                                                            ', & ! index 396
     '          PRPN --> OH + NO2 + HO2 + RCHO                                                            ', & ! index 397
     '           ETP --> ALD2 + OH + HO2                                                                  ', & ! index 398
     '          RA3P --> OH + HO2 + RCHO                                                                  ', & ! index 399
     '          RB3P --> ACET + OH + HO2                                                                  ', & ! index 400
     '           R4P --> OH + HO2 + RCHO                                                                  ', & ! index 401
     '            PP --> CH2O + ALD2 + OH + HO2                                                           ', & ! index 402
     '            RP --> ALD2 + OH + HO2                                                                  ', & ! index 403
     '           RIP --> 0.29 HC5 + 0.71 CH2O + 0.285 MACR + 0.425 MVK + OH + HO2                         ', & ! index 404
     '           IAP --> 0.67 PCO + 0.26 GLYC + 0.58 MGLY + 0.36 HAC + 0.67 CO + OH + HO2 + 0.19 H2       ', & ! index 405
     '          ISNP --> OH + NO2 + HO2 + RCHO                                                            ', & ! index 406
     '           VRP --> 0.7 GLYC + 0.3 MGLY + 0.3 CH2O + 0.7 MCO3 + OH + 0.3 HO2                         ', & ! index 407
     '           MRP --> 0.5 PCO + 0.5 CH2O + HAC + 0.5 CO + OH + HO2                                     ', & ! index 408
     '          MAOP --> CH2O + MCO3 + OH                                                                 ', & ! index 409
     '          R4N2 --> 0.32 ACET + 0.05 A3O2 + 0.18 B3O2 + 0.32 ETO2 + 0.32 ALD2 + 0.19 MEK + NO2 + 0.27', & ! index 410
     '           MAP --> OH + MO2                                                                         ', & ! index 411
     '         MACRN --> 0.5 PCO + MGLY + 0.5 CH2O + HAC + 0.5 CO + NO2 + HO2                             ', & ! index 412
     '          MVKN --> GLYC + MCO3 + NO2                                                                ', & ! index 413
     '        ISOPNB --> HC5 + NO2 + HO2                                                                  ', & ! index 414
     '           Br2 --> 2 Br                                                                             ', & ! index 415
     '           BrO --> O3 + Br                                                                          ', & ! index 416
     '          HOBr --> LOx + Br + OH                                                                    ', & ! index 417
     '         BrNO3 --> Br + NO3                                                                         ', & ! index 418
     '         BrNO3 --> BrO + NO2                                                                        ', & ! index 419
     '         BrNO2 --> Br + NO2                                                                         ' /)
  CHARACTER(LEN=100), PARAMETER, DIMENSION(7) :: EQN_NAMES_14 = (/ &
     '         CHBr3 --> 3 Br                                                                             ', & ! index 421
     '           MPN --> POx + CH2O + NO3 + HO2                                                           ', & ! index 422
     '           MPN --> NO2 + MO2                                                                        ', & ! index 423
     '        ISOPND --> HC5 + NO2 + HO2                                                                  ', & ! index 424
     '        PROPNN --> PCO + CH2O + CO + NO2 + MO2                                                      ', & ! index 425
     '         ATOOH --> CH2O + MCO3 + OH                                                                 ', & ! index 426
     '           PIP --> OH + HO2 + RCHO                                                                  ' /)
  CHARACTER(LEN=100), PARAMETER, DIMENSION(427) :: EQN_NAMES = (/&
    EQN_NAMES_0, EQN_NAMES_1, EQN_NAMES_2, EQN_NAMES_3, EQN_NAMES_4, &
    EQN_NAMES_5, EQN_NAMES_6, EQN_NAMES_7, EQN_NAMES_8, EQN_NAMES_9, &
    EQN_NAMES_10, EQN_NAMES_11, EQN_NAMES_12, EQN_NAMES_13, EQN_NAMES_14 /)

  CHARACTER(LEN=15), PARAMETER, DIMENSION(5) :: FAM_NAMES = (/ &
     'POx            ','LOx            ','PCO            ', & ! index 1 - 3
     'LCO            ','PSO4           ' /)

! INLINED global variables

! End INLINED global variables


END MODULE gckpp_Monitor
