! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! 
! Parameter Module File
! 
! Generated by KPP-2.2.4_gc symbolic chemistry Kinetics PreProcessor
!       (http://www.cs.vt.edu/~asandu/Software/KPP)
! KPP is distributed under GPL, the general public licence
!       (http://www.gnu.org/copyleft/gpl.html)
! (C) 1995-1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
! (C) 1997-2005, A. Sandu, Michigan Tech, Virginia Tech
!     With important contributions from:
!        M. Damian, Villanova University, USA
!        R. Sander, Max-Planck Institute for Chemistry, Mainz, Germany
! 
! File                 : gckpp_Parameters.f90
! Time                 : Thu Mar 23 12:42:31 2017
! Working directory    : /n/home05/msulprizio/GC/FlexChem/Mechanisms/SOA
! Equation file        : gckpp.kpp
! Output root filename : gckpp
! 
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



MODULE gckpp_Parameters

  USE gckpp_Precision
  PUBLIC
  SAVE


! NSPEC - Number of chemical species
  INTEGER, PARAMETER :: NSPEC = 150 
! NVAR - Number of Variable species
  INTEGER, PARAMETER :: NVAR = 144 
! NFLUX - Number of Reaction Flux species
  INTEGER, PARAMETER :: NFLUX = 1 
! NFAM - Number of Prod/Loss Families
  INTEGER, PARAMETER :: NFAM = 5 
! NVARACT - Number of Active species
  INTEGER, PARAMETER :: NVARACT = 126 
! NFIX - Number of Fixed species
  INTEGER, PARAMETER :: NFIX = 6 
! NREACT - Number of reactions
  INTEGER, PARAMETER :: NREACT = 427 
! NVARST - Starting of variables in conc. vect.
  INTEGER, PARAMETER :: NVARST = 1 
! NFIXST - Starting of fixed in conc. vect.
  INTEGER, PARAMETER :: NFIXST = 145 
! NONZERO - Number of nonzero entries in Jacobian
  INTEGER, PARAMETER :: NONZERO = 1744 
! LU_NONZERO - Number of nonzero entries in LU factoriz. of Jacobian
  INTEGER, PARAMETER :: LU_NONZERO = 2065 
! CNVAR - (NVAR+1) Number of elements in compressed row format
  INTEGER, PARAMETER :: CNVAR = 145 
! NLOOKAT - Number of species to look at
  INTEGER, PARAMETER :: NLOOKAT = 0 
! NMONITOR - Number of species to monitor
  INTEGER, PARAMETER :: NMONITOR = 0 
! NMASS - Number of atoms to check mass balance
  INTEGER, PARAMETER :: NMASS = 1 

! Index declaration for variable species in C and VAR
!   VAR(ind_spc) = C(ind_spc)

  INTEGER, PARAMETER :: ind_MONX = 1 
  INTEGER, PARAMETER :: ind_SO4 = 2 
  INTEGER, PARAMETER :: ind_MSA = 3 
  INTEGER, PARAMETER :: ind_LISOPOH = 4 
  INTEGER, PARAMETER :: ind_LISOPNO3 = 5 
  INTEGER, PARAMETER :: ind_LBRO2H = 6 
  INTEGER, PARAMETER :: ind_LBRO2N = 7 
  INTEGER, PARAMETER :: ind_LTRO2H = 8 
  INTEGER, PARAMETER :: ind_LTRO2N = 9 
  INTEGER, PARAMETER :: ind_LXRO2H = 10 
  INTEGER, PARAMETER :: ind_LXRO2N = 11 
  INTEGER, PARAMETER :: ind_PYAC = 12 
  INTEGER, PARAMETER :: ind_CO2 = 13 
  INTEGER, PARAMETER :: ind_ONIT = 14 
  INTEGER, PARAMETER :: ind_POx = 15 
  INTEGER, PARAMETER :: ind_LOx = 16 
  INTEGER, PARAMETER :: ind_PCO = 17 
  INTEGER, PARAMETER :: ind_LCO = 18 
  INTEGER, PARAMETER :: ind_PSO4 = 19 
  INTEGER, PARAMETER :: ind_CHBr3 = 20 
  INTEGER, PARAMETER :: ind_CH2Br2 = 21 
  INTEGER, PARAMETER :: ind_CH3Br = 22 
  INTEGER, PARAMETER :: ind_BENZ = 23 
  INTEGER, PARAMETER :: ind_PPN = 24 
  INTEGER, PARAMETER :: ind_TOLU = 25 
  INTEGER, PARAMETER :: ind_BrNO2 = 26 
  INTEGER, PARAMETER :: ind_IEPOX = 27 
  INTEGER, PARAMETER :: ind_PMNN = 28 
  INTEGER, PARAMETER :: ind_N2O5 = 29 
  INTEGER, PARAMETER :: ind_BRO2 = 30 
  INTEGER, PARAMETER :: ind_TRO2 = 31 
  INTEGER, PARAMETER :: ind_PAN = 32 
  INTEGER, PARAMETER :: ind_XRO2 = 33 
  INTEGER, PARAMETER :: ind_ALK4 = 34 
  INTEGER, PARAMETER :: ind_MAP = 35 
  INTEGER, PARAMETER :: ind_HNO2 = 36 
  INTEGER, PARAMETER :: ind_EOH = 37 
  INTEGER, PARAMETER :: ind_MPN = 38 
  INTEGER, PARAMETER :: ind_MP = 39 
  INTEGER, PARAMETER :: ind_RA3P = 40 
  INTEGER, PARAMETER :: ind_RB3P = 41 
  INTEGER, PARAMETER :: ind_XYLE = 42 
  INTEGER, PARAMETER :: ind_DMS = 43 
  INTEGER, PARAMETER :: ind_HNO4 = 44 
  INTEGER, PARAMETER :: ind_C3H8 = 45 
  INTEGER, PARAMETER :: ind_ETP = 46 
  INTEGER, PARAMETER :: ind_HOBr = 47 
  INTEGER, PARAMETER :: ind_Br2 = 48 
  INTEGER, PARAMETER :: ind_HBr = 49 
  INTEGER, PARAMETER :: ind_MAOP = 50 
  INTEGER, PARAMETER :: ind_PIP = 51 
  INTEGER, PARAMETER :: ind_RP = 52 
  INTEGER, PARAMETER :: ind_PP = 53 
  INTEGER, PARAMETER :: ind_PRPN = 54 
  INTEGER, PARAMETER :: ind_BrNO3 = 55 
  INTEGER, PARAMETER :: ind_ETHLN = 56 
  INTEGER, PARAMETER :: ind_C2H6 = 57 
  INTEGER, PARAMETER :: ind_R4P = 58 
  INTEGER, PARAMETER :: ind_ATOOH = 59 
  INTEGER, PARAMETER :: ind_H2O2 = 60 
  INTEGER, PARAMETER :: ind_HCOOH = 61 
  INTEGER, PARAMETER :: ind_RIP = 62 
  INTEGER, PARAMETER :: ind_VRP = 63 
  INTEGER, PARAMETER :: ind_MRP = 64 
  INTEGER, PARAMETER :: ind_IAP = 65 
  INTEGER, PARAMETER :: ind_DHMOB = 66 
  INTEGER, PARAMETER :: ind_MOBA = 67 
  INTEGER, PARAMETER :: ind_MTPA = 68 
  INTEGER, PARAMETER :: ind_ISNOHOO = 69 
  INTEGER, PARAMETER :: ind_ISNP = 70 
  INTEGER, PARAMETER :: ind_ISOPNB = 71 
  INTEGER, PARAMETER :: ind_IEPOXOO = 72 
  INTEGER, PARAMETER :: ind_MOBAOO = 73 
  INTEGER, PARAMETER :: ind_DIBOO = 74 
  INTEGER, PARAMETER :: ind_ISNOOB = 75 
  INTEGER, PARAMETER :: ind_PMN = 76 
  INTEGER, PARAMETER :: ind_MACRNO2 = 77 
  INTEGER, PARAMETER :: ind_ROH = 78 
  INTEGER, PARAMETER :: ind_MVKOO = 79 
  INTEGER, PARAMETER :: ind_INPN = 80 
  INTEGER, PARAMETER :: ind_ACTA = 81 
  INTEGER, PARAMETER :: ind_GAOO = 82 
  INTEGER, PARAMETER :: ind_CH3CHOO = 83 
  INTEGER, PARAMETER :: ind_BrO = 84 
  INTEGER, PARAMETER :: ind_MVKN = 85 
  INTEGER, PARAMETER :: ind_CH2OO = 86 
  INTEGER, PARAMETER :: ind_ISOP = 87 
  INTEGER, PARAMETER :: ind_PRPE = 88 
  INTEGER, PARAMETER :: ind_MGLYOO = 89 
  INTEGER, PARAMETER :: ind_ISOPND = 90 
  INTEGER, PARAMETER :: ind_MGLOO = 91 
  INTEGER, PARAMETER :: ind_ACET = 92 
  INTEGER, PARAMETER :: ind_HNO3 = 93 
  INTEGER, PARAMETER :: ind_A3O2 = 94 
  INTEGER, PARAMETER :: ind_PROPNN = 95 
  INTEGER, PARAMETER :: ind_MAOPO2 = 96 
  INTEGER, PARAMETER :: ind_GLYX = 97 
  INTEGER, PARAMETER :: ind_MACROO = 98 
  INTEGER, PARAMETER :: ind_MACRN = 99 
  INTEGER, PARAMETER :: ind_OLNN = 100 
  INTEGER, PARAMETER :: ind_OLND = 101 
  INTEGER, PARAMETER :: ind_PO2 = 102 
  INTEGER, PARAMETER :: ind_ISNOOA = 103 
  INTEGER, PARAMETER :: ind_MAN2 = 104 
  INTEGER, PARAMETER :: ind_B3O2 = 105 
  INTEGER, PARAMETER :: ind_PRN1 = 106 
  INTEGER, PARAMETER :: ind_PIO2 = 107 
  INTEGER, PARAMETER :: ind_HC5OO = 108 
  INTEGER, PARAMETER :: ind_GLYC = 109 
  INTEGER, PARAMETER :: ind_ETO2 = 110 
  INTEGER, PARAMETER :: ind_VRO2 = 111 
  INTEGER, PARAMETER :: ind_RCO3 = 112 
  INTEGER, PARAMETER :: ind_KO2 = 113 
  INTEGER, PARAMETER :: ind_R4N1 = 114 
  INTEGER, PARAMETER :: ind_ISN1 = 115 
  INTEGER, PARAMETER :: ind_ATO2 = 116 
  INTEGER, PARAMETER :: ind_MAO3 = 117 
  INTEGER, PARAMETER :: ind_SO2 = 118 
  INTEGER, PARAMETER :: ind_MGLY = 119 
  INTEGER, PARAMETER :: ind_RIO2 = 120 
  INTEGER, PARAMETER :: ind_INO2 = 121 
  INTEGER, PARAMETER :: ind_HC5 = 122 
  INTEGER, PARAMETER :: ind_CH2O = 123 
  INTEGER, PARAMETER :: ind_MRO2 = 124 
  INTEGER, PARAMETER :: ind_ISOPNBO2 = 125 
  INTEGER, PARAMETER :: ind_ISOPNDO2 = 126 
  INTEGER, PARAMETER :: ind_HAC = 127 
  INTEGER, PARAMETER :: ind_R4O2 = 128 
  INTEGER, PARAMETER :: ind_ALD2 = 129 
  INTEGER, PARAMETER :: ind_R4N2 = 130 
  INTEGER, PARAMETER :: ind_MACR = 131 
  INTEGER, PARAMETER :: ind_MVK = 132 
  INTEGER, PARAMETER :: ind_MEK = 133 
  INTEGER, PARAMETER :: ind_MCO3 = 134 
  INTEGER, PARAMETER :: ind_O3 = 135 
  INTEGER, PARAMETER :: ind_Br = 136 
  INTEGER, PARAMETER :: ind_CO = 137 
  INTEGER, PARAMETER :: ind_OH = 138 
  INTEGER, PARAMETER :: ind_NO2 = 139 
  INTEGER, PARAMETER :: ind_NO3 = 140 
  INTEGER, PARAMETER :: ind_HO2 = 141 
  INTEGER, PARAMETER :: ind_RCHO = 142 
  INTEGER, PARAMETER :: ind_MO2 = 143 
  INTEGER, PARAMETER :: ind_NO = 144 

! Index declaration for fixed species in C
!   C(ind_spc)

  INTEGER, PARAMETER :: ind_CH4 = 145 
  INTEGER, PARAMETER :: ind_H2 = 146 
  INTEGER, PARAMETER :: ind_H2O = 147 
  INTEGER, PARAMETER :: ind_MOH = 148 
  INTEGER, PARAMETER :: ind_O2 = 149 
  INTEGER, PARAMETER :: ind_RCOOH = 150 

! Index declaration for fixed species in FIX
!    FIX(indf_spc) = C(ind_spc) = C(NVAR+indf_spc)

  INTEGER, PARAMETER :: indf_CH4 = 1 
  INTEGER, PARAMETER :: indf_H2 = 2 
  INTEGER, PARAMETER :: indf_H2O = 3 
  INTEGER, PARAMETER :: indf_MOH = 4 
  INTEGER, PARAMETER :: indf_O2 = 5 
  INTEGER, PARAMETER :: indf_RCOOH = 6 

END MODULE gckpp_Parameters

