! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! 
! Parameter Module File
! 
! Generated by KPP-2.2.4_gc symbolic chemistry Kinetics PreProcessor
!       (http://www.cs.vt.edu/~asandu/Software/KPP)
! KPP is distributed under GPL, the general public licence
!       (http://www.gnu.org/copyleft/gpl.html)
! (C) 1995-1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
! (C) 1997-2005, A. Sandu, Michigan Tech, Virginia Tech
!     With important contributions from:
!        M. Damian, Villanova University, USA
!        R. Sander, Max-Planck Institute for Chemistry, Mainz, Germany
! 
! File                 : gckpp_Parameters.f90
! Time                 : Thu Mar 23 12:42:47 2017
! Working directory    : /n/home05/msulprizio/GC/FlexChem/Mechanisms/SOA_SVPOA
! Equation file        : gckpp.kpp
! Output root filename : gckpp
! 
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



MODULE gckpp_Parameters

  USE gckpp_Precision
  PUBLIC
  SAVE


! NSPEC - Number of chemical species
  INTEGER, PARAMETER :: NSPEC = 154 
! NVAR - Number of Variable species
  INTEGER, PARAMETER :: NVAR = 148 
! NFLUX - Number of Reaction Flux species
  INTEGER, PARAMETER :: NFLUX = 1 
! NFAM - Number of Prod/Loss Families
  INTEGER, PARAMETER :: NFAM = 5 
! NVARACT - Number of Active species
  INTEGER, PARAMETER :: NVARACT = 128 
! NFIX - Number of Fixed species
  INTEGER, PARAMETER :: NFIX = 6 
! NREACT - Number of reactions
  INTEGER, PARAMETER :: NREACT = 430 
! NVARST - Starting of variables in conc. vect.
  INTEGER, PARAMETER :: NVARST = 1 
! NFIXST - Starting of fixed in conc. vect.
  INTEGER, PARAMETER :: NFIXST = 149 
! NONZERO - Number of nonzero entries in Jacobian
  INTEGER, PARAMETER :: NONZERO = 1757 
! LU_NONZERO - Number of nonzero entries in LU factoriz. of Jacobian
  INTEGER, PARAMETER :: LU_NONZERO = 2079 
! CNVAR - (NVAR+1) Number of elements in compressed row format
  INTEGER, PARAMETER :: CNVAR = 149 
! NLOOKAT - Number of species to look at
  INTEGER, PARAMETER :: NLOOKAT = 0 
! NMONITOR - Number of species to monitor
  INTEGER, PARAMETER :: NMONITOR = 0 
! NMASS - Number of atoms to check mass balance
  INTEGER, PARAMETER :: NMASS = 1 

! Index declaration for variable species in C and VAR
!   VAR(ind_spc) = C(ind_spc)

  INTEGER, PARAMETER :: ind_MONX = 1 
  INTEGER, PARAMETER :: ind_SO4 = 2 
  INTEGER, PARAMETER :: ind_MSA = 3 
  INTEGER, PARAMETER :: ind_LISOPOH = 4 
  INTEGER, PARAMETER :: ind_LISOPNO3 = 5 
  INTEGER, PARAMETER :: ind_LBRO2H = 6 
  INTEGER, PARAMETER :: ind_LBRO2N = 7 
  INTEGER, PARAMETER :: ind_LTRO2H = 8 
  INTEGER, PARAMETER :: ind_LTRO2N = 9 
  INTEGER, PARAMETER :: ind_LXRO2H = 10 
  INTEGER, PARAMETER :: ind_LXRO2N = 11 
  INTEGER, PARAMETER :: ind_LNRO2H = 12 
  INTEGER, PARAMETER :: ind_LNRO2N = 13 
  INTEGER, PARAMETER :: ind_NRO2 = 14 
  INTEGER, PARAMETER :: ind_NAP = 15 
  INTEGER, PARAMETER :: ind_PYAC = 16 
  INTEGER, PARAMETER :: ind_CO2 = 17 
  INTEGER, PARAMETER :: ind_ONIT = 18 
  INTEGER, PARAMETER :: ind_POx = 19 
  INTEGER, PARAMETER :: ind_LOx = 20 
  INTEGER, PARAMETER :: ind_PCO = 21 
  INTEGER, PARAMETER :: ind_LCO = 22 
  INTEGER, PARAMETER :: ind_PSO4 = 23 
  INTEGER, PARAMETER :: ind_CHBr3 = 24 
  INTEGER, PARAMETER :: ind_CH2Br2 = 25 
  INTEGER, PARAMETER :: ind_CH3Br = 26 
  INTEGER, PARAMETER :: ind_BENZ = 27 
  INTEGER, PARAMETER :: ind_PPN = 28 
  INTEGER, PARAMETER :: ind_TOLU = 29 
  INTEGER, PARAMETER :: ind_BrNO2 = 30 
  INTEGER, PARAMETER :: ind_IEPOX = 31 
  INTEGER, PARAMETER :: ind_PMNN = 32 
  INTEGER, PARAMETER :: ind_N2O5 = 33 
  INTEGER, PARAMETER :: ind_BRO2 = 34 
  INTEGER, PARAMETER :: ind_TRO2 = 35 
  INTEGER, PARAMETER :: ind_PAN = 36 
  INTEGER, PARAMETER :: ind_XRO2 = 37 
  INTEGER, PARAMETER :: ind_ALK4 = 38 
  INTEGER, PARAMETER :: ind_MAP = 39 
  INTEGER, PARAMETER :: ind_EOH = 40 
  INTEGER, PARAMETER :: ind_HNO2 = 41 
  INTEGER, PARAMETER :: ind_MPN = 42 
  INTEGER, PARAMETER :: ind_MP = 43 
  INTEGER, PARAMETER :: ind_RA3P = 44 
  INTEGER, PARAMETER :: ind_RB3P = 45 
  INTEGER, PARAMETER :: ind_XYLE = 46 
  INTEGER, PARAMETER :: ind_DMS = 47 
  INTEGER, PARAMETER :: ind_ETP = 48 
  INTEGER, PARAMETER :: ind_C3H8 = 49 
  INTEGER, PARAMETER :: ind_HNO4 = 50 
  INTEGER, PARAMETER :: ind_MAOP = 51 
  INTEGER, PARAMETER :: ind_HOBr = 52 
  INTEGER, PARAMETER :: ind_Br2 = 53 
  INTEGER, PARAMETER :: ind_HBr = 54 
  INTEGER, PARAMETER :: ind_PIP = 55 
  INTEGER, PARAMETER :: ind_RP = 56 
  INTEGER, PARAMETER :: ind_PP = 57 
  INTEGER, PARAMETER :: ind_PRPN = 58 
  INTEGER, PARAMETER :: ind_BrNO3 = 59 
  INTEGER, PARAMETER :: ind_ETHLN = 60 
  INTEGER, PARAMETER :: ind_C2H6 = 61 
  INTEGER, PARAMETER :: ind_R4P = 62 
  INTEGER, PARAMETER :: ind_ATOOH = 63 
  INTEGER, PARAMETER :: ind_H2O2 = 64 
  INTEGER, PARAMETER :: ind_HCOOH = 65 
  INTEGER, PARAMETER :: ind_RIP = 66 
  INTEGER, PARAMETER :: ind_VRP = 67 
  INTEGER, PARAMETER :: ind_MRP = 68 
  INTEGER, PARAMETER :: ind_IAP = 69 
  INTEGER, PARAMETER :: ind_DHMOB = 70 
  INTEGER, PARAMETER :: ind_MOBA = 71 
  INTEGER, PARAMETER :: ind_MTPA = 72 
  INTEGER, PARAMETER :: ind_ISNOHOO = 73 
  INTEGER, PARAMETER :: ind_ISNP = 74 
  INTEGER, PARAMETER :: ind_ISOPNB = 75 
  INTEGER, PARAMETER :: ind_IEPOXOO = 76 
  INTEGER, PARAMETER :: ind_MOBAOO = 77 
  INTEGER, PARAMETER :: ind_DIBOO = 78 
  INTEGER, PARAMETER :: ind_PMN = 79 
  INTEGER, PARAMETER :: ind_ISNOOB = 80 
  INTEGER, PARAMETER :: ind_MACRNO2 = 81 
  INTEGER, PARAMETER :: ind_ROH = 82 
  INTEGER, PARAMETER :: ind_MVKOO = 83 
  INTEGER, PARAMETER :: ind_INPN = 84 
  INTEGER, PARAMETER :: ind_ACTA = 85 
  INTEGER, PARAMETER :: ind_GAOO = 86 
  INTEGER, PARAMETER :: ind_CH3CHOO = 87 
  INTEGER, PARAMETER :: ind_BrO = 88 
  INTEGER, PARAMETER :: ind_MVKN = 89 
  INTEGER, PARAMETER :: ind_CH2OO = 90 
  INTEGER, PARAMETER :: ind_ISOP = 91 
  INTEGER, PARAMETER :: ind_PRPE = 92 
  INTEGER, PARAMETER :: ind_MGLYOO = 93 
  INTEGER, PARAMETER :: ind_ISOPND = 94 
  INTEGER, PARAMETER :: ind_MGLOO = 95 
  INTEGER, PARAMETER :: ind_ACET = 96 
  INTEGER, PARAMETER :: ind_HNO3 = 97 
  INTEGER, PARAMETER :: ind_A3O2 = 98 
  INTEGER, PARAMETER :: ind_PROPNN = 99 
  INTEGER, PARAMETER :: ind_MAOPO2 = 100 
  INTEGER, PARAMETER :: ind_GLYX = 101 
  INTEGER, PARAMETER :: ind_MACROO = 102 
  INTEGER, PARAMETER :: ind_MACRN = 103 
  INTEGER, PARAMETER :: ind_PO2 = 104 
  INTEGER, PARAMETER :: ind_OLNN = 105 
  INTEGER, PARAMETER :: ind_OLND = 106 
  INTEGER, PARAMETER :: ind_ISNOOA = 107 
  INTEGER, PARAMETER :: ind_MAN2 = 108 
  INTEGER, PARAMETER :: ind_B3O2 = 109 
  INTEGER, PARAMETER :: ind_PRN1 = 110 
  INTEGER, PARAMETER :: ind_PIO2 = 111 
  INTEGER, PARAMETER :: ind_VRO2 = 112 
  INTEGER, PARAMETER :: ind_ETO2 = 113 
  INTEGER, PARAMETER :: ind_HC5OO = 114 
  INTEGER, PARAMETER :: ind_GLYC = 115 
  INTEGER, PARAMETER :: ind_RCO3 = 116 
  INTEGER, PARAMETER :: ind_KO2 = 117 
  INTEGER, PARAMETER :: ind_R4N1 = 118 
  INTEGER, PARAMETER :: ind_ISN1 = 119 
  INTEGER, PARAMETER :: ind_ATO2 = 120 
  INTEGER, PARAMETER :: ind_MAO3 = 121 
  INTEGER, PARAMETER :: ind_SO2 = 122 
  INTEGER, PARAMETER :: ind_MGLY = 123 
  INTEGER, PARAMETER :: ind_RIO2 = 124 
  INTEGER, PARAMETER :: ind_INO2 = 125 
  INTEGER, PARAMETER :: ind_HC5 = 126 
  INTEGER, PARAMETER :: ind_CH2O = 127 
  INTEGER, PARAMETER :: ind_MRO2 = 128 
  INTEGER, PARAMETER :: ind_ISOPNBO2 = 129 
  INTEGER, PARAMETER :: ind_ISOPNDO2 = 130 
  INTEGER, PARAMETER :: ind_HAC = 131 
  INTEGER, PARAMETER :: ind_R4O2 = 132 
  INTEGER, PARAMETER :: ind_ALD2 = 133 
  INTEGER, PARAMETER :: ind_R4N2 = 134 
  INTEGER, PARAMETER :: ind_RCHO = 135 
  INTEGER, PARAMETER :: ind_MVK = 136 
  INTEGER, PARAMETER :: ind_MACR = 137 
  INTEGER, PARAMETER :: ind_NO2 = 138 
  INTEGER, PARAMETER :: ind_CO = 139 
  INTEGER, PARAMETER :: ind_NO = 140 
  INTEGER, PARAMETER :: ind_MCO3 = 141 
  INTEGER, PARAMETER :: ind_OH = 142 
  INTEGER, PARAMETER :: ind_MO2 = 143 
  INTEGER, PARAMETER :: ind_O3 = 144 
  INTEGER, PARAMETER :: ind_MEK = 145 
  INTEGER, PARAMETER :: ind_NO3 = 146 
  INTEGER, PARAMETER :: ind_Br = 147 
  INTEGER, PARAMETER :: ind_HO2 = 148 

! Index declaration for fixed species in C
!   C(ind_spc)

  INTEGER, PARAMETER :: ind_CH4 = 149 
  INTEGER, PARAMETER :: ind_H2 = 150 
  INTEGER, PARAMETER :: ind_H2O = 151 
  INTEGER, PARAMETER :: ind_MOH = 152 
  INTEGER, PARAMETER :: ind_O2 = 153 
  INTEGER, PARAMETER :: ind_RCOOH = 154 

! Index declaration for fixed species in FIX
!    FIX(indf_spc) = C(ind_spc) = C(NVAR+indf_spc)

  INTEGER, PARAMETER :: indf_CH4 = 1 
  INTEGER, PARAMETER :: indf_H2 = 2 
  INTEGER, PARAMETER :: indf_H2O = 3 
  INTEGER, PARAMETER :: indf_MOH = 4 
  INTEGER, PARAMETER :: indf_O2 = 5 
  INTEGER, PARAMETER :: indf_RCOOH = 6 

END MODULE gckpp_Parameters

