! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! 
! Parameter Module File
! 
! Generated by KPP-2.2.4_gc symbolic chemistry Kinetics PreProcessor
!       (http://www.cs.vt.edu/~asandu/Software/KPP)
! KPP is distributed under GPL, the general public licence
!       (http://www.gnu.org/copyleft/gpl.html)
! (C) 1995-1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
! (C) 1997-2005, A. Sandu, Michigan Tech, Virginia Tech
!     With important contributions from:
!        M. Damian, Villanova University, USA
!        R. Sander, Max-Planck Institute for Chemistry, Mainz, Germany
! 
! File                 : gckpp_Parameters.f90
! Time                 : Thu Mar 23 12:41:59 2017
! Working directory    : /n/home05/msulprizio/GC/FlexChem/Mechanisms/Standard
! Equation file        : gckpp.kpp
! Output root filename : gckpp
! 
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



MODULE gckpp_Parameters

  USE gckpp_Precision
  PUBLIC
  SAVE


! NSPEC - Number of chemical species
  INTEGER, PARAMETER :: NSPEC = 183 
! NVAR - Number of Variable species
  INTEGER, PARAMETER :: NVAR = 178 
! NFLUX - Number of Reaction Flux species
  INTEGER, PARAMETER :: NFLUX = 1 
! NFAM - Number of Prod/Loss Families
  INTEGER, PARAMETER :: NFAM = 5 
! NVARACT - Number of Active species
  INTEGER, PARAMETER :: NVARACT = 161 
! NFIX - Number of Fixed species
  INTEGER, PARAMETER :: NFIX = 5 
! NREACT - Number of reactions
  INTEGER, PARAMETER :: NREACT = 562 
! NVARST - Starting of variables in conc. vect.
  INTEGER, PARAMETER :: NVARST = 1 
! NFIXST - Starting of fixed in conc. vect.
  INTEGER, PARAMETER :: NFIXST = 179 
! NONZERO - Number of nonzero entries in Jacobian
  INTEGER, PARAMETER :: NONZERO = 2194 
! LU_NONZERO - Number of nonzero entries in LU factoriz. of Jacobian
  INTEGER, PARAMETER :: LU_NONZERO = 2724 
! CNVAR - (NVAR+1) Number of elements in compressed row format
  INTEGER, PARAMETER :: CNVAR = 179 
! NLOOKAT - Number of species to look at
  INTEGER, PARAMETER :: NLOOKAT = 0 
! NMONITOR - Number of species to monitor
  INTEGER, PARAMETER :: NMONITOR = 0 
! NMASS - Number of atoms to check mass balance
  INTEGER, PARAMETER :: NMASS = 1 

! Index declaration for variable species in C and VAR
!   VAR(ind_spc) = C(ind_spc)

  INTEGER, PARAMETER :: ind_MONX = 1 
  INTEGER, PARAMETER :: ind_MSA = 2 
  INTEGER, PARAMETER :: ind_LISOPOH = 3 
  INTEGER, PARAMETER :: ind_LISOPNO3 = 4 
  INTEGER, PARAMETER :: ind_LBRO2H = 5 
  INTEGER, PARAMETER :: ind_LBRO2N = 6 
  INTEGER, PARAMETER :: ind_LTRO2H = 7 
  INTEGER, PARAMETER :: ind_LTRO2N = 8 
  INTEGER, PARAMETER :: ind_LXRO2H = 9 
  INTEGER, PARAMETER :: ind_LXRO2N = 10 
  INTEGER, PARAMETER :: ind_PYAC = 11 
  INTEGER, PARAMETER :: ind_CO2 = 12 
  INTEGER, PARAMETER :: ind_ONIT = 13 
  INTEGER, PARAMETER :: ind_POx = 14 
  INTEGER, PARAMETER :: ind_LOx = 15 
  INTEGER, PARAMETER :: ind_PCO = 16 
  INTEGER, PARAMETER :: ind_LCO = 17 
  INTEGER, PARAMETER :: ind_PSO4 = 18 
  INTEGER, PARAMETER :: ind_CH3CCl3 = 19 
  INTEGER, PARAMETER :: ind_BENZ = 20 
  INTEGER, PARAMETER :: ind_PPN = 21 
  INTEGER, PARAMETER :: ind_TOLU = 22 
  INTEGER, PARAMETER :: ind_BrNO2 = 23 
  INTEGER, PARAMETER :: ind_IEPOX = 24 
  INTEGER, PARAMETER :: ind_PMNN = 25 
  INTEGER, PARAMETER :: ind_CCl4 = 26 
  INTEGER, PARAMETER :: ind_CFC11 = 27 
  INTEGER, PARAMETER :: ind_CFC12 = 28 
  INTEGER, PARAMETER :: ind_CFC113 = 29 
  INTEGER, PARAMETER :: ind_CFC114 = 30 
  INTEGER, PARAMETER :: ind_CFC115 = 31 
  INTEGER, PARAMETER :: ind_H1301 = 32 
  INTEGER, PARAMETER :: ind_H2402 = 33 
  INTEGER, PARAMETER :: ind_N2O = 34 
  INTEGER, PARAMETER :: ind_BRO2 = 35 
  INTEGER, PARAMETER :: ind_TRO2 = 36 
  INTEGER, PARAMETER :: ind_H1211 = 37 
  INTEGER, PARAMETER :: ind_N = 38 
  INTEGER, PARAMETER :: ind_PAN = 39 
  INTEGER, PARAMETER :: ind_XRO2 = 40 
  INTEGER, PARAMETER :: ind_OCS = 41 
  INTEGER, PARAMETER :: ind_ALK4 = 42 
  INTEGER, PARAMETER :: ind_EOH = 43 
  INTEGER, PARAMETER :: ind_MAP = 44 
  INTEGER, PARAMETER :: ind_CHBr3 = 45 
  INTEGER, PARAMETER :: ind_CH2Br2 = 46 
  INTEGER, PARAMETER :: ind_MPN = 47 
  INTEGER, PARAMETER :: ind_Cl2O2 = 48 
  INTEGER, PARAMETER :: ind_RA3P = 49 
  INTEGER, PARAMETER :: ind_RB3P = 50 
  INTEGER, PARAMETER :: ind_XYLE = 51 
  INTEGER, PARAMETER :: ind_DMS = 52 
  INTEGER, PARAMETER :: ind_HNO2 = 53 
  INTEGER, PARAMETER :: ind_OClO = 54 
  INTEGER, PARAMETER :: ind_ClNO2 = 55 
  INTEGER, PARAMETER :: ind_HCFC22 = 56 
  INTEGER, PARAMETER :: ind_HCFC123 = 57 
  INTEGER, PARAMETER :: ind_HCFC141b = 58 
  INTEGER, PARAMETER :: ind_HCFC142b = 59 
  INTEGER, PARAMETER :: ind_C3H8 = 60 
  INTEGER, PARAMETER :: ind_ETP = 61 
  INTEGER, PARAMETER :: ind_CH3Br = 62 
  INTEGER, PARAMETER :: ind_CH3Cl = 63 
  INTEGER, PARAMETER :: ind_MAOP = 64 
  INTEGER, PARAMETER :: ind_HNO4 = 65 
  INTEGER, PARAMETER :: ind_ClOO = 66 
  INTEGER, PARAMETER :: ind_MP = 67 
  INTEGER, PARAMETER :: ind_PIP = 68 
  INTEGER, PARAMETER :: ind_RP = 69 
  INTEGER, PARAMETER :: ind_BrCl = 70 
  INTEGER, PARAMETER :: ind_PRPN = 71 
  INTEGER, PARAMETER :: ind_SO4 = 72 
  INTEGER, PARAMETER :: ind_Br2 = 73 
  INTEGER, PARAMETER :: ind_ETHLN = 74 
  INTEGER, PARAMETER :: ind_PP = 75 
  INTEGER, PARAMETER :: ind_R4P = 76 
  INTEGER, PARAMETER :: ind_RIP = 77 
  INTEGER, PARAMETER :: ind_VRP = 78 
  INTEGER, PARAMETER :: ind_ATOOH = 79 
  INTEGER, PARAMETER :: ind_IAP = 80 
  INTEGER, PARAMETER :: ind_C2H6 = 81 
  INTEGER, PARAMETER :: ind_DHMOB = 82 
  INTEGER, PARAMETER :: ind_MOBA = 83 
  INTEGER, PARAMETER :: ind_MRP = 84 
  INTEGER, PARAMETER :: ind_N2O5 = 85 
  INTEGER, PARAMETER :: ind_ISNP = 86 
  INTEGER, PARAMETER :: ind_INPN = 87 
  INTEGER, PARAMETER :: ind_ISOPNB = 88 
  INTEGER, PARAMETER :: ind_HCOOH = 89 
  INTEGER, PARAMETER :: ind_MTPA = 90 
  INTEGER, PARAMETER :: ind_MOBAOO = 91 
  INTEGER, PARAMETER :: ind_DIBOO = 92 
  INTEGER, PARAMETER :: ind_IEPOXOO = 93 
  INTEGER, PARAMETER :: ind_PMN = 94 
  INTEGER, PARAMETER :: ind_ROH = 95 
  INTEGER, PARAMETER :: ind_BrNO3 = 96 
  INTEGER, PARAMETER :: ind_MACRNO2 = 97 
  INTEGER, PARAMETER :: ind_H = 98 
  INTEGER, PARAMETER :: ind_ISOP = 99 
  INTEGER, PARAMETER :: ind_PRPE = 100 
  INTEGER, PARAMETER :: ind_Cl2 = 101 
  INTEGER, PARAMETER :: ind_ISNOHOO = 102 
  INTEGER, PARAMETER :: ind_ISOPND = 103 
  INTEGER, PARAMETER :: ind_ISNOOB = 104 
  INTEGER, PARAMETER :: ind_MVKN = 105 
  INTEGER, PARAMETER :: ind_HOBr = 106 
  INTEGER, PARAMETER :: ind_PROPNN = 107 
  INTEGER, PARAMETER :: ind_GLYX = 108 
  INTEGER, PARAMETER :: ind_GAOO = 109 
  INTEGER, PARAMETER :: ind_CH4 = 110 
  INTEGER, PARAMETER :: ind_MVKOO = 111 
  INTEGER, PARAMETER :: ind_MGLYOO = 112 
  INTEGER, PARAMETER :: ind_MAOPO2 = 113 
  INTEGER, PARAMETER :: ind_A3O2 = 114 
  INTEGER, PARAMETER :: ind_MGLOO = 115 
  INTEGER, PARAMETER :: ind_OLNN = 116 
  INTEGER, PARAMETER :: ind_OLND = 117 
  INTEGER, PARAMETER :: ind_ACET = 118 
  INTEGER, PARAMETER :: ind_CH2OO = 119 
  INTEGER, PARAMETER :: ind_ACTA = 120 
  INTEGER, PARAMETER :: ind_ISNOOA = 121 
  INTEGER, PARAMETER :: ind_MACRN = 122 
  INTEGER, PARAMETER :: ind_PO2 = 123 
  INTEGER, PARAMETER :: ind_CH3CHOO = 124 
  INTEGER, PARAMETER :: ind_MAN2 = 125 
  INTEGER, PARAMETER :: ind_H2O2 = 126 
  INTEGER, PARAMETER :: ind_PRN1 = 127 
  INTEGER, PARAMETER :: ind_ClNO3 = 128 
  INTEGER, PARAMETER :: ind_VRO2 = 129 
  INTEGER, PARAMETER :: ind_B3O2 = 130 
  INTEGER, PARAMETER :: ind_PIO2 = 131 
  INTEGER, PARAMETER :: ind_HC5OO = 132 
  INTEGER, PARAMETER :: ind_ETO2 = 133 
  INTEGER, PARAMETER :: ind_RCO3 = 134 
  INTEGER, PARAMETER :: ind_MRO2 = 135 
  INTEGER, PARAMETER :: ind_KO2 = 136 
  INTEGER, PARAMETER :: ind_HNO3 = 137 
  INTEGER, PARAMETER :: ind_HOCl = 138 
  INTEGER, PARAMETER :: ind_GLYC = 139 
  INTEGER, PARAMETER :: ind_R4N1 = 140 
  INTEGER, PARAMETER :: ind_ISN1 = 141 
  INTEGER, PARAMETER :: ind_ATO2 = 142 
  INTEGER, PARAMETER :: ind_MAO3 = 143 
  INTEGER, PARAMETER :: ind_INO2 = 144 
  INTEGER, PARAMETER :: ind_RIO2 = 145 
  INTEGER, PARAMETER :: ind_HC5 = 146 
  INTEGER, PARAMETER :: ind_MGLY = 147 
  INTEGER, PARAMETER :: ind_ISOPNBO2 = 148 
  INTEGER, PARAMETER :: ind_ISOPNDO2 = 149 
  INTEGER, PARAMETER :: ind_MACROO = 150 
  INTEGER, PARAMETER :: ind_R4O2 = 151 
  INTEGER, PARAMETER :: ind_HAC = 152 
  INTEGER, PARAMETER :: ind_R4N2 = 153 
  INTEGER, PARAMETER :: ind_BrO = 154 
  INTEGER, PARAMETER :: ind_RCHO = 155 
  INTEGER, PARAMETER :: ind_MEK = 156 
  INTEGER, PARAMETER :: ind_ClO = 157 
  INTEGER, PARAMETER :: ind_MACR = 158 
  INTEGER, PARAMETER :: ind_ALD2 = 159 
  INTEGER, PARAMETER :: ind_MVK = 160 
  INTEGER, PARAMETER :: ind_SO2 = 161 
  INTEGER, PARAMETER :: ind_MCO3 = 162 
  INTEGER, PARAMETER :: ind_CH2O = 163 
  INTEGER, PARAMETER :: ind_MO2 = 164 
  INTEGER, PARAMETER :: ind_Br = 165 
  INTEGER, PARAMETER :: ind_H2O = 166 
  INTEGER, PARAMETER :: ind_HO2 = 167 
  INTEGER, PARAMETER :: ind_NO2 = 168 
  INTEGER, PARAMETER :: ind_O = 169 
  INTEGER, PARAMETER :: ind_O3 = 170 
  INTEGER, PARAMETER :: ind_Cl = 171 
  INTEGER, PARAMETER :: ind_NO3 = 172 
  INTEGER, PARAMETER :: ind_CO = 173 
  INTEGER, PARAMETER :: ind_O1D = 174 
  INTEGER, PARAMETER :: ind_OH = 175 
  INTEGER, PARAMETER :: ind_HCl = 176 
  INTEGER, PARAMETER :: ind_NO = 177 
  INTEGER, PARAMETER :: ind_HBr = 178 

! Index declaration for fixed species in C
!   C(ind_spc)

  INTEGER, PARAMETER :: ind_H2 = 179 
  INTEGER, PARAMETER :: ind_MOH = 180 
  INTEGER, PARAMETER :: ind_N2 = 181 
  INTEGER, PARAMETER :: ind_O2 = 182 
  INTEGER, PARAMETER :: ind_RCOOH = 183 

! Index declaration for fixed species in FIX
!    FIX(indf_spc) = C(ind_spc) = C(NVAR+indf_spc)

  INTEGER, PARAMETER :: indf_H2 = 1 
  INTEGER, PARAMETER :: indf_MOH = 2 
  INTEGER, PARAMETER :: indf_N2 = 3 
  INTEGER, PARAMETER :: indf_O2 = 4 
  INTEGER, PARAMETER :: indf_RCOOH = 5 

END MODULE gckpp_Parameters

