! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! 
! The ODE Function of Chemical Model File
! 
! Generated by KPP-2.2.4_gc symbolic chemistry Kinetics PreProcessor
!       (http://www.cs.vt.edu/~asandu/Software/KPP)
! KPP is distributed under GPL, the general public licence
!       (http://www.gnu.org/copyleft/gpl.html)
! (C) 1995-1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
! (C) 1997-2005, A. Sandu, Michigan Tech, Virginia Tech
!     With important contributions from:
!        M. Damian, Villanova University, USA
!        R. Sander, Max-Planck Institute for Chemistry, Mainz, Germany
! 
! File                 : gckpp_Function.f90
! Time                 : Thu Mar 23 12:42:21 2017
! Working directory    : /n/home05/msulprizio/GC/FlexChem/Mechanisms/UCX
! Equation file        : gckpp.kpp
! Output root filename : gckpp
! 
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



MODULE gckpp_Function

  USE gckpp_Parameters
  IMPLICIT NONE

! A - Rate for each equation
  REAL(kind=dp) :: A(NREACT)
!$OMP THREADPRIVATE(  A )

CONTAINS


! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! 
! Fun - time derivatives of variables - Agregate form
!   Arguments :
!      V         - Concentrations of variable species (local)
!      F         - Concentrations of fixed species (local)
!      RCT       - Rate constants (local)
!      Vdot      - Time derivative of variable species concentrations
! 
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

SUBROUTINE Fun ( V, F, RCT, Vdot )

! V - Concentrations of variable species (local)
  REAL(kind=dp) :: V(NVAR)
! F - Concentrations of fixed species (local)
  REAL(kind=dp) :: F(NFIX)
! RCT - Rate constants (local)
  REAL(kind=dp) :: RCT(NREACT)
! Vdot - Time derivative of variable species concentrations
  REAL(kind=dp) :: Vdot(NVAR)


! Computation of equation rates
  A(1) = RCT(1)*V(170)*V(177)
  A(2) = RCT(2)*V(170)*V(175)
  A(3) = RCT(3)*V(167)*V(170)
  A(4) = RCT(4)*V(168)*V(170)
  A(5) = RCT(5)*V(164)*V(170)
  A(6) = RCT(6)*V(175)*V(175)
  A(7) = RCT(7)*V(175)*V(175)
  A(8) = RCT(8)*V(167)*V(175)
  A(9) = RCT(9)*V(126)*V(175)
  A(10) = RCT(10)*V(167)*V(177)
  A(11) = RCT(11)*V(167)*V(167)
  A(12) = RCT(12)*V(173)*V(175)
  A(13) = RCT(13)*V(110)*V(175)
  A(14) = RCT(14)*V(164)*V(177)
  A(15) = RCT(15)*V(164)*V(167)
  A(16) = RCT(16)*V(164)*V(164)
  A(17) = RCT(17)*V(164)*V(164)
  A(18) = RCT(18)*V(67)*V(175)
  A(19) = RCT(19)*V(67)*V(175)
  A(20) = RCT(20)*V(79)*V(175)
  A(21) = RCT(21)*V(79)*V(175)
  A(22) = RCT(22)*V(163)*V(175)
  A(23) = RCT(23)*V(168)*V(175)
  A(24) = RCT(24)*V(137)*V(175)
  A(25) = RCT(25)*V(175)*V(177)
  A(26) = RCT(26)*V(53)*V(175)
  A(27) = RCT(27)*V(167)*V(168)
  A(28) = RCT(28)*V(65)
  A(29) = RCT(29)*V(65)*V(175)
  A(30) = RCT(30)*V(167)*V(172)
  A(31) = RCT(31)*V(172)*V(177)
  A(32) = RCT(32)*V(172)*V(175)
  A(33) = RCT(33)*V(168)*V(172)
  A(34) = RCT(34)*V(85)
  A(35) = RCT(35)*V(89)*V(175)
  A(36) = RCT(36)*V(175)*F(2)
  A(37) = RCT(37)*V(168)*V(172)
  A(38) = RCT(38)*V(163)*V(172)
  A(39) = RCT(39)*V(159)*V(175)
  A(40) = RCT(40)*V(159)*V(172)
  A(41) = RCT(41)*V(162)*V(168)
  A(42) = RCT(42)*V(39)
  A(43) = RCT(43)*V(162)*V(177)
  A(44) = RCT(44)*V(81)*V(175)
  A(45) = RCT(45)*V(133)*V(177)
  A(46) = RCT(46)*V(60)*V(175)
  A(47) = RCT(47)*V(60)*V(175)
  A(48) = RCT(48)*V(114)*V(177)
  A(49) = RCT(49)*V(123)*V(177)
  A(50) = RCT(50)*V(42)*V(175)
  A(51) = RCT(51)*V(151)*V(177)
  A(52) = RCT(52)*V(151)*V(177)
  A(53) = RCT(53)*V(140)*V(177)
  A(54) = RCT(54)*V(142)*V(177)
  A(55) = RCT(55)*V(136)*V(177)
  A(56) = RCT(56)*V(145)*V(177)
  A(57) = RCT(57)*V(145)
  A(58) = RCT(58)*V(129)*V(177)
  A(59) = RCT(59)*V(135)*V(177)
  A(60) = RCT(60)*V(135)
  A(61) = RCT(61)*V(125)*V(177)
  A(62) = RCT(62)*V(130)*V(177)
  A(63) = RCT(63)*V(144)*V(177)
  A(64) = RCT(64)*V(144)*V(172)
  A(65) = RCT(65)*V(141)*V(172)
  A(66) = RCT(66)*V(121)*V(172)
  A(67) = RCT(67)*V(121)*V(177)
  A(68) = RCT(68)*V(121)*V(168)
  A(69) = RCT(69)*V(121)*V(167)
  A(70) = RCT(70)*V(104)*V(172)
  A(71) = RCT(71)*V(104)*V(177)
  A(72) = RCT(72)*V(104)*V(167)
  A(73) = RCT(73)*V(104)*V(164)
  A(74) = RCT(74)*V(141)*V(170)
  A(75) = RCT(75)*V(141)*V(175)
  A(76) = RCT(76)*V(102)*V(177)
  A(77) = RCT(77)*V(102)*V(167)
  A(78) = RCT(78)*V(102)*V(164)
  A(79) = RCT(79)*V(144)*V(144)
  A(80) = RCT(80)*V(127)*V(177)
  A(81) = RCT(81)*V(42)*V(172)
  A(82) = RCT(82)*V(153)*V(175)
  A(83) = RCT(83)*V(120)*V(175)
  A(84) = RCT(84)*V(155)*V(175)
  A(85) = RCT(85)*V(134)*V(168)
  A(86) = RCT(86)*V(21)
  A(87) = RCT(87)*V(143)*V(168)
  A(88) = RCT(88)*V(94)
  A(89) = RCT(89)*V(134)*V(177)
  A(90) = RCT(90)*V(143)*V(177)
  A(91) = RCT(91)*V(155)*V(172)
  A(92) = RCT(92)*V(118)*V(175)
  A(93) = RCT(93)*V(114)*V(164)
  A(94) = RCT(94)*V(123)*V(164)
  A(95) = RCT(95)*V(151)*V(167)
  A(96) = RCT(96)*V(140)*V(167)
  A(97) = RCT(97)*V(142)*V(167)
  A(98) = RCT(98)*V(136)*V(167)
  A(99) = RCT(99)*V(145)*V(167)
  A(100) = RCT(100)*V(129)*V(167)
  A(101) = RCT(101)*V(135)*V(167)
  A(102) = RCT(102)*V(125)*V(167)
  A(103) = RCT(103)*V(130)*V(167)
  A(104) = RCT(104)*V(144)*V(167)
  A(105) = RCT(105)*V(127)*V(167)
  A(106) = RCT(106)*V(156)*V(175)
  A(107) = RCT(107)*V(133)*V(164)
  A(108) = RCT(108)*V(156)*V(172)
  A(109) = RCT(109)*V(151)*V(164)
  A(110) = RCT(110)*V(140)*V(164)
  A(111) = RCT(111)*V(142)*V(164)
  A(112) = RCT(112)*V(136)*V(164)
  A(113) = RCT(113)*V(145)*V(164)
  A(114) = RCT(114)*V(145)*V(145)
  A(115) = RCT(115)*V(132)*V(164)
  A(116) = RCT(116)*V(129)*V(164)
  A(117) = RCT(117)*V(135)*V(164)
  A(118) = RCT(118)*V(125)*V(164)
  A(119) = RCT(119)*V(130)*V(164)
  A(120) = RCT(120)*V(144)*V(164)
  A(121) = RCT(121)*V(127)*V(164)
  A(122) = RCT(122)*V(43)*V(175)
  A(123) = RCT(123)*V(95)*V(175)
  A(124) = RCT(124)*V(133)*V(133)
  A(125) = RCT(125)*V(133)*V(133)
  A(126) = RCT(126)*V(133)*V(167)
  A(127) = RCT(127)*V(114)*V(167)
  A(128) = RCT(128)*V(123)*V(167)
  A(129) = RCT(129)*V(162)*V(167)
  A(130) = RCT(130)*V(134)*V(167)
  A(131) = RCT(131)*V(143)*V(167)
  A(132) = RCT(132)*V(100)*V(175)
  A(133) = RCT(133)*V(100)*V(170)
  A(134) = RCT(134)*V(94)*V(175)
  A(135) = RCT(135)*V(94)*V(170)
  A(136) = RCT(136)*V(139)*V(175)
  A(137) = RCT(137)*V(139)*V(175)
  A(138) = RCT(138)*V(100)*V(172)
  A(139) = RCT(139)*V(108)*V(175)
  A(140) = RCT(140)*V(147)*V(175)
  A(141) = RCT(141)*V(108)*V(172)
  A(142) = RCT(142)*V(147)*V(172)
  A(143) = RCT(143)*V(99)*V(175)
  A(144) = RCT(144)*V(160)*V(175)
  A(145) = RCT(145)*V(158)*V(175)
  A(146) = RCT(146)*V(152)*V(175)
  A(147) = RCT(147)*V(152)*V(175)
  A(148) = RCT(148)*V(114)*V(162)
  A(149) = RCT(149)*V(123)*V(162)
  A(150) = RCT(150)*V(114)*V(162)
  A(151) = RCT(151)*V(123)*V(162)
  A(152) = RCT(152)*V(99)*V(170)
  A(153) = RCT(153)*V(160)*V(170)
  A(154) = RCT(154)*V(158)*V(170)
  A(155) = RCT(155)*V(99)*V(172)
  A(156) = RCT(156)*V(158)*V(172)
  A(157) = RCT(157)*V(158)*V(172)
  A(158) = RCT(158)*V(134)*V(164)
  A(159) = RCT(159)*V(143)*V(164)
  A(160) = RCT(160)*V(134)*V(164)
  A(161) = RCT(161)*V(143)*V(164)
  A(162) = RCT(162)*V(87)*V(175)
  A(163) = RCT(163)*V(87)*V(175)
  A(164) = RCT(164)*V(71)*V(175)
  A(165) = RCT(165)*V(61)*V(175)
  A(166) = RCT(166)*V(49)*V(175)
  A(167) = RCT(167)*V(50)*V(175)
  A(168) = RCT(168)*V(76)*V(175)
  A(169) = RCT(169)*V(69)*V(175)
  A(170) = RCT(170)*V(75)*V(175)
  A(171) = RCT(171)*V(77)*V(175)
  A(172) = RCT(172)*V(77)*V(175)
  A(173) = RCT(173)*V(24)*V(175)
  A(174) = RCT(174)*V(93)*V(167)
  A(175) = RCT(175)*V(93)*V(177)
  A(176) = RCT(176)*V(80)*V(175)
  A(177) = RCT(177)*V(78)*V(175)
  A(178) = RCT(178)*V(84)*V(175)
  A(179) = RCT(179)*V(84)*V(175)
  A(180) = RCT(180)*V(64)*V(175)
  A(181) = RCT(181)*V(64)*V(175)
  A(182) = RCT(182)*V(113)*V(162)
  A(183) = RCT(183)*V(113)*V(162)
  A(184) = RCT(184)*V(113)*V(164)
  A(185) = RCT(185)*V(113)*V(113)
  A(186) = RCT(186)*V(113)*V(167)
  A(187) = RCT(187)*V(113)*V(177)
  A(188) = RCT(188)*V(113)*V(177)
  A(189) = RCT(189)*V(44)*V(175)
  A(190) = RCT(190)*V(81)*V(172)
  A(191) = RCT(191)*V(146)*V(170)
  A(192) = RCT(192)*V(162)*V(162)
  A(193) = RCT(193)*V(162)*V(164)
  A(194) = RCT(194)*V(162)*V(164)
  A(195) = RCT(195)*V(151)*V(162)
  A(196) = RCT(196)*V(142)*V(162)
  A(197) = RCT(197)*V(136)*V(162)
  A(198) = RCT(198)*V(145)*V(162)
  A(199) = RCT(199)*V(132)*V(162)
  A(200) = RCT(200)*V(129)*V(162)
  A(201) = RCT(201)*V(135)*V(162)
  A(202) = RCT(202)*V(130)*V(162)
  A(203) = RCT(203)*V(140)*V(162)
  A(204) = RCT(204)*V(125)*V(162)
  A(205) = RCT(205)*V(144)*V(162)
  A(206) = RCT(206)*V(127)*V(162)
  A(207) = RCT(207)*V(151)*V(162)
  A(208) = RCT(208)*V(142)*V(162)
  A(209) = RCT(209)*V(136)*V(162)
  A(210) = RCT(210)*V(145)*V(162)
  A(211) = RCT(211)*V(132)*V(162)
  A(212) = RCT(212)*V(129)*V(162)
  A(213) = RCT(213)*V(135)*V(162)
  A(214) = RCT(214)*V(140)*V(162)
  A(215) = RCT(215)*V(125)*V(162)
  A(216) = RCT(216)*V(144)*V(162)
  A(217) = RCT(217)*V(127)*V(162)
  A(218) = RCT(218)*V(130)*V(162)
  A(219) = RCT(219)*V(133)*V(162)
  A(220) = RCT(220)*V(133)*V(162)
  A(221) = RCT(221)*V(134)*V(162)
  A(222) = RCT(222)*V(143)*V(162)
  A(223) = RCT(223)*V(172)*V(172)
  A(224) = RCT(224)*V(164)*V(168)
  A(225) = RCT(225)*V(47)
  A(226) = RCT(226)*V(88)*V(170)
  A(227) = RCT(227)*V(103)*V(170)
  A(228) = RCT(228)*V(167)
  A(229) = RCT(229)*V(168)
  A(230) = RCT(230)*V(172)
  A(231) = RCT(231)*V(85)*V(166)
  A(232) = RCT(232)*V(52)*V(175)
  A(233) = RCT(233)*V(52)*V(175)
  A(234) = RCT(234)*V(52)*V(172)
  A(235) = RCT(235)*V(161)*V(175)
  A(236) = RCT(236)*V(165)*V(170)
  A(237) = RCT(237)*V(154)*V(167)
  A(238) = RCT(238)*V(165)*V(167)
  A(239) = RCT(239)*V(175)*V(178)
  A(240) = RCT(240)*V(154)*V(154)
  A(241) = RCT(241)*V(154)*V(154)
  A(242) = RCT(242)*V(154)*V(177)
  A(243) = RCT(243)*V(96)*V(165)
  A(244) = RCT(244)*V(73)*V(175)
  A(245) = RCT(245)*V(106)*V(169)
  A(246) = RCT(246)*V(169)*V(178)
  A(247) = RCT(247)*V(154)*V(175)
  A(248) = RCT(248)*V(165)*V(172)
  A(249) = RCT(249)*V(163)*V(165)
  A(250) = RCT(250)*V(159)*V(165)
  A(251) = RCT(251)*V(118)*V(165)
  A(252) = RCT(252)*V(81)*V(165)
  A(253) = RCT(253)*V(60)*V(165)
  A(254) = RCT(254)*V(165)*V(168)
  A(255) = RCT(255)*V(154)*V(168)
  A(256) = RCT(256)*V(45)*V(175)
  A(257) = RCT(257)*V(46)*V(175)
  A(258) = RCT(258)*V(62)*V(175)
  A(259) = RCT(259)*V(96)*V(166)
  A(260) = RCT(260)*V(106)
  A(261) = RCT(261)*V(178)
  A(262) = RCT(262)*V(106)
  A(263) = RCT(263)*V(178)
  A(264) = RCT(264)*V(146)*V(175)
  A(265) = RCT(265)*V(132)*V(177)
  A(266) = RCT(266)*V(132)*V(177)
  A(267) = RCT(267)*V(132)*V(167)
  A(268) = RCT(268)*V(103)*V(175)
  A(269) = RCT(269)*V(88)*V(175)
  A(270) = RCT(270)*V(149)*V(177)
  A(271) = RCT(271)*V(149)*V(177)
  A(272) = RCT(272)*V(149)*V(167)
  A(273) = RCT(273)*V(148)*V(177)
  A(274) = RCT(274)*V(148)*V(177)
  A(275) = RCT(275)*V(148)*V(167)
  A(276) = RCT(276)*V(86)*V(175)
  A(277) = RCT(277)*V(105)*V(175)
  A(278) = RCT(278)*V(122)*V(175)
  A(279) = RCT(279)*V(97)*V(177)
  A(280) = RCT(280)*V(97)*V(167)
  A(281) = RCT(281)*V(97)*V(168)
  A(282) = RCT(282)*V(25)
  A(283) = RCT(283)*V(82)*V(175)
  A(284) = RCT(284)*V(92)*V(177)
  A(285) = RCT(285)*V(92)*V(177)
  A(286) = RCT(286)*V(92)*V(167)
  A(287) = RCT(287)*V(83)*V(175)
  A(288) = RCT(288)*V(91)*V(177)
  A(289) = RCT(289)*V(91)*V(177)
  A(290) = RCT(290)*V(91)*V(167)
  A(291) = RCT(291)*V(83)*V(170)
  A(292) = RCT(292)*V(74)*V(175)
  A(293) = RCT(293)*V(107)*V(175)
  A(294) = RCT(294)*V(119)*V(177)
  A(295) = RCT(295)*V(119)*V(168)
  A(296) = RCT(296)*V(119)*V(161)
  A(297) = RCT(297)*V(119)*V(166)
  A(298) = RCT(298)*V(119)*V(166)
  A(299) = RCT(299)*V(150)*V(173)
  A(300) = RCT(300)*V(150)*V(177)
  A(301) = RCT(301)*V(150)*V(168)
  A(302) = RCT(302)*V(150)*V(161)
  A(303) = RCT(303)*V(150)*V(166)
  A(304) = RCT(304)*V(150)*V(166)
  A(305) = RCT(305)*V(111)*V(173)
  A(306) = RCT(306)*V(111)*V(177)
  A(307) = RCT(307)*V(111)*V(168)
  A(308) = RCT(308)*V(111)*V(161)
  A(309) = RCT(309)*V(111)*V(166)
  A(310) = RCT(310)*V(112)*V(173)
  A(311) = RCT(311)*V(112)*V(177)
  A(312) = RCT(312)*V(112)*V(168)
  A(313) = RCT(313)*V(112)*V(161)
  A(314) = RCT(314)*V(112)*V(166)
  A(315) = RCT(315)*V(115)*V(173)
  A(316) = RCT(316)*V(115)*V(177)
  A(317) = RCT(317)*V(115)*V(168)
  A(318) = RCT(318)*V(115)*V(161)
  A(319) = RCT(319)*V(115)*V(166)
  A(320) = RCT(320)*V(115)*V(166)
  A(321) = RCT(321)*V(124)*V(173)
  A(322) = RCT(322)*V(124)*V(177)
  A(323) = RCT(323)*V(124)*V(168)
  A(324) = RCT(324)*V(124)*V(161)
  A(325) = RCT(325)*V(124)*V(166)
  A(326) = RCT(326)*V(124)*V(166)
  A(327) = RCT(327)*V(109)*V(173)
  A(328) = RCT(328)*V(109)*V(177)
  A(329) = RCT(329)*V(109)*V(168)
  A(330) = RCT(330)*V(109)*V(161)
  A(331) = RCT(331)*V(109)*V(166)
  A(332) = RCT(332)*V(109)*V(166)
  A(333) = RCT(333)*V(20)*V(175)
  A(334) = RCT(334)*V(22)*V(175)
  A(335) = RCT(335)*V(51)*V(175)
  A(336) = RCT(336)*V(51)*V(172)
  A(337) = RCT(337)*V(1)
  A(338) = RCT(338)*V(35)*V(167)
  A(339) = RCT(339)*V(35)*V(177)
  A(340) = RCT(340)*V(36)*V(167)
  A(341) = RCT(341)*V(36)*V(177)
  A(342) = RCT(342)*V(40)*V(167)
  A(343) = RCT(343)*V(40)*V(177)
  A(344) = RCT(344)*V(166)*V(174)
  A(345) = RCT(345)*V(174)*F(3)
  A(346) = RCT(346)*V(174)*F(4)
  A(347) = RCT(347)*V(174)*F(1)
  A(348) = RCT(348)*V(34)*V(174)
  A(349) = RCT(349)*V(34)*V(174)
  A(350) = RCT(350)*V(110)*V(174)
  A(351) = RCT(351)*V(110)*V(174)
  A(352) = RCT(352)*V(110)*V(174)
  A(353) = RCT(353)*V(169)*F(4)
  A(354) = RCT(354)*V(169)*V(170)
  A(355) = RCT(355)*V(175)*F(1)
  A(356) = RCT(356)*V(169)*V(175)
  A(357) = RCT(357)*V(167)*V(169)
  A(358) = RCT(358)*V(170)*V(174)
  A(359) = RCT(359)*V(170)*V(174)
  A(360) = RCT(360)*V(41)*V(169)
  A(361) = RCT(361)*V(41)*V(175)
  A(362) = RCT(362)*V(168)*V(169)
  A(363) = RCT(363)*V(169)*V(172)
  A(364) = RCT(364)*V(169)*V(177)
  A(365) = RCT(365)*V(168)*V(169)
  A(366) = RCT(366)*V(126)*V(169)
  A(367) = RCT(367)*V(98)*F(4)
  A(368) = RCT(368)*V(98)*V(170)
  A(369) = RCT(369)*V(98)*V(167)
  A(370) = RCT(370)*V(98)*V(167)
  A(371) = RCT(371)*V(98)*V(167)
  A(372) = RCT(372)*V(38)*F(4)
  A(373) = RCT(373)*V(38)*V(177)
  A(374) = RCT(374)*V(38)*V(168)
  A(375) = RCT(375)*V(154)*V(169)
  A(376) = RCT(376)*V(163)*V(169)
  A(377) = RCT(377)*V(174)*V(176)
  A(378) = RCT(378)*V(174)*V(178)
  A(379) = RCT(379)*V(101)*V(174)
  A(380) = RCT(380)*V(26)*V(174)
  A(381) = RCT(381)*V(62)*V(174)
  A(382) = RCT(382)*V(46)*V(174)
  A(383) = RCT(383)*V(45)*V(174)
  A(384) = RCT(384)*V(56)*V(174)
  A(385) = RCT(385)*V(27)*V(174)
  A(386) = RCT(386)*V(28)*V(174)
  A(387) = RCT(387)*V(37)*V(174)
  A(388) = RCT(388)*V(32)*V(174)
  A(389) = RCT(389)*V(58)*V(174)
  A(390) = RCT(390)*V(59)*V(174)
  A(391) = RCT(391)*V(57)*V(174)
  A(392) = RCT(392)*V(29)*V(174)
  A(393) = RCT(393)*V(30)*V(174)
  A(394) = RCT(394)*V(31)*V(174)
  A(395) = RCT(395)*V(33)*V(174)
  A(396) = RCT(396)*V(101)*V(175)
  A(397) = RCT(397)*V(157)*V(164)
  A(398) = RCT(398)*V(157)*V(175)
  A(399) = RCT(399)*V(157)*V(175)
  A(400) = RCT(400)*V(54)*V(175)
  A(401) = RCT(401)*V(48)*V(175)
  A(402) = RCT(402)*V(175)*V(176)
  A(403) = RCT(403)*V(138)*V(175)
  A(404) = RCT(404)*V(55)*V(175)
  A(405) = RCT(405)*V(128)*V(175)
  A(406) = RCT(406)*V(63)*V(175)
  A(407) = RCT(407)*V(19)*V(175)
  A(408) = RCT(408)*V(56)*V(175)
  A(409) = RCT(409)*V(58)*V(175)
  A(410) = RCT(410)*V(59)*V(175)
  A(411) = RCT(411)*V(57)*V(175)
  A(412) = RCT(412)*V(110)*V(171)
  A(413) = RCT(413)*V(163)*V(171)
  A(414) = RCT(414)*V(170)*V(171)
  A(415) = RCT(415)*V(171)*F(1)
  A(416) = RCT(416)*V(126)*V(171)
  A(417) = RCT(417)*V(167)*V(171)
  A(418) = RCT(418)*V(167)*V(171)
  A(419) = RCT(419)*V(157)*V(169)
  A(420) = RCT(420)*V(157)*V(167)
  A(421) = RCT(421)*V(157)*V(177)
  A(422) = RCT(422)*V(157)*V(168)
  A(423) = RCT(423)*V(157)*V(157)
  A(424) = RCT(424)*V(157)*V(157)
  A(425) = RCT(425)*V(157)*V(157)
  A(426) = RCT(426)*V(171)*F(4)
  A(427) = RCT(427)*V(66)
  A(428) = RCT(428)*V(157)*V(157)
  A(429) = RCT(429)*V(48)
  A(430) = RCT(430)*V(66)*V(171)
  A(431) = RCT(431)*V(66)*V(171)
  A(432) = RCT(432)*V(154)*V(157)
  A(433) = RCT(433)*V(154)*V(157)
  A(434) = RCT(434)*V(154)*V(157)
  A(435) = RCT(435)*V(128)*V(169)
  A(436) = RCT(436)*V(128)*V(171)
  A(437) = RCT(437)*V(63)*V(171)
  A(438) = RCT(438)*V(85)*V(176)
  A(439) = RCT(439)*V(128)*V(166)
  A(440) = RCT(440)*V(128)*V(176)
  A(441) = RCT(441)*V(128)*V(178)
  A(442) = RCT(442)*V(96)*V(176)
  A(443) = RCT(443)*V(138)*V(176)
  A(444) = RCT(444)*V(138)*V(178)
  A(445) = RCT(445)*V(106)*V(176)
  A(446) = RCT(446)*V(90)*V(175)
  A(447) = RCT(447)*V(131)*V(177)
  A(448) = RCT(448)*V(131)*V(167)
  A(449) = RCT(449)*V(131)*V(164)
  A(450) = RCT(450)*V(131)*V(162)
  A(451) = RCT(451)*V(131)*V(172)
  A(452) = RCT(452)*V(90)*V(170)
  A(453) = RCT(453)*V(90)*V(172)
  A(454) = RCT(454)*V(68)*V(175)
  A(455) = RCT(455)*V(116)*V(177)
  A(456) = RCT(456)*V(117)*V(177)
  A(457) = RCT(457)*V(116)*V(167)
  A(458) = RCT(458)*V(117)*V(167)
  A(459) = RCT(459)*V(116)*V(164)
  A(460) = RCT(460)*V(117)*V(164)
  A(461) = RCT(461)*V(116)*V(162)
  A(462) = RCT(462)*V(117)*V(162)
  A(463) = RCT(463)*V(116)*V(172)
  A(464) = RCT(464)*V(117)*V(172)
  A(465) = RCT(465)*V(116)*V(116)
  A(466) = RCT(466)*V(116)*V(117)
  A(467) = RCT(467)*V(117)*V(117)
  A(468) = RCT(468)*V(170)
  A(469) = RCT(469)*V(170)
  A(470) = RCT(470)*F(4)
  A(471) = RCT(471)*V(168)
  A(472) = RCT(472)*V(126)
  A(473) = RCT(473)*V(67)
  A(474) = RCT(474)*V(163)
  A(475) = RCT(475)*V(163)
  A(476) = RCT(476)*V(137)
  A(477) = RCT(477)*V(53)
  A(478) = RCT(478)*V(65)
  A(479) = RCT(479)*V(65)
  A(480) = RCT(480)*V(172)
  A(481) = RCT(481)*V(172)
  A(482) = RCT(482)*V(85)
  A(483) = RCT(483)*V(159)
  A(484) = RCT(484)*V(159)
  A(485) = RCT(485)*V(39)
  A(486) = RCT(486)*V(155)
  A(487) = RCT(487)*V(118)
  A(488) = RCT(488)*V(118)
  A(489) = RCT(489)*V(156)
  A(490) = RCT(490)*V(139)
  A(491) = RCT(491)*V(108)
  A(492) = RCT(492)*V(108)
  A(493) = RCT(493)*V(108)
  A(494) = RCT(494)*V(147)
  A(495) = RCT(495)*V(160)
  A(496) = RCT(496)*V(160)
  A(497) = RCT(497)*V(160)
  A(498) = RCT(498)*V(158)
  A(499) = RCT(499)*V(152)
  A(500) = RCT(500)*V(87)
  A(501) = RCT(501)*V(71)
  A(502) = RCT(502)*V(61)
  A(503) = RCT(503)*V(49)
  A(504) = RCT(504)*V(50)
  A(505) = RCT(505)*V(76)
  A(506) = RCT(506)*V(75)
  A(507) = RCT(507)*V(69)
  A(508) = RCT(508)*V(77)
  A(509) = RCT(509)*V(80)
  A(510) = RCT(510)*V(86)
  A(511) = RCT(511)*V(78)
  A(512) = RCT(512)*V(84)
  A(513) = RCT(513)*V(64)
  A(514) = RCT(514)*V(153)
  A(515) = RCT(515)*V(44)
  A(516) = RCT(516)*V(122)
  A(517) = RCT(517)*V(105)
  A(518) = RCT(518)*V(88)
  A(519) = RCT(519)*V(73)
  A(520) = RCT(520)*V(154)
  A(521) = RCT(521)*V(106)
  A(522) = RCT(522)*V(96)
  A(523) = RCT(523)*V(96)
  A(524) = RCT(524)*V(23)
  A(525) = RCT(525)*V(45)
  A(526) = RCT(526)*V(47)
  A(527) = RCT(527)*V(47)
  A(528) = RCT(528)*V(103)
  A(529) = RCT(529)*V(107)
  A(530) = RCT(530)*V(79)
  A(531) = RCT(531)*V(34)
  A(532) = RCT(532)*V(41)
  A(533) = RCT(533)*V(72)
  A(534) = RCT(534)*V(177)
  A(535) = RCT(535)*V(62)
  A(536) = RCT(536)*V(70)
  A(537) = RCT(537)*V(101)
  A(538) = RCT(538)*V(157)
  A(539) = RCT(539)*V(54)
  A(540) = RCT(540)*V(48)
  A(541) = RCT(541)*V(55)
  A(542) = RCT(542)*V(128)
  A(543) = RCT(543)*V(128)
  A(544) = RCT(544)*V(138)
  A(545) = RCT(545)*V(63)
  A(546) = RCT(546)*V(19)
  A(547) = RCT(547)*V(26)
  A(548) = RCT(548)*V(27)
  A(549) = RCT(549)*V(28)
  A(550) = RCT(550)*V(29)
  A(551) = RCT(551)*V(30)
  A(552) = RCT(552)*V(31)
  A(553) = RCT(553)*V(57)
  A(554) = RCT(554)*V(58)
  A(555) = RCT(555)*V(59)
  A(556) = RCT(556)*V(56)
  A(557) = RCT(557)*V(32)
  A(558) = RCT(558)*V(37)
  A(559) = RCT(559)*V(33)
  A(560) = RCT(560)*V(46)
  A(561) = RCT(561)*V(66)
  A(562) = RCT(562)*V(68)

! Aggregate function
  Vdot(1) = -A(337)
  Vdot(2) = 0.25*A(233)
  Vdot(3) = A(143)
  Vdot(4) = A(155)
  Vdot(5) = A(338)
  Vdot(6) = A(339)
  Vdot(7) = A(340)
  Vdot(8) = A(341)
  Vdot(9) = A(342)
  Vdot(10) = A(343)
  Vdot(11) = 0.35*A(277)
  Vdot(12) = A(12)+A(35)+A(43)+A(83)+A(90)+0.361*A(136)+0.5*A(147)+0.2*A(174)+0.2*A(175)+A(179)+2*A(182)+0.7*A(184)+2&
               &*A(185)+A(186)+A(187)+A(198)+A(204)+0.93*A(279)+0.93*A(280)+A(288)+0.5*A(290)+A(291)+A(292)+A(336)+A(361)
  Vdot(13) = 0.18*A(447)+A(455)+A(457)+A(458)+A(459)+0.5*A(460)+A(461)+A(463)+2*A(465)+1.5*A(466)+A(467)
  Vdot(14) = A(6)+A(10)+A(14)+A(24)+A(26)+A(43)+A(45)+A(48)+A(49)+A(51)+A(52)+A(53)+A(54)+A(55)+A(56)+A(58)+A(59)+A(61)&
               &+A(62)+A(63)+A(67)+1.82*A(71)+0.4*A(73)+A(80)+A(89)+A(90)+0.15*A(129)+0.15*A(130)+0.15*A(131)+A(175)+A(187)&
               &+A(188)+A(244)+A(265)+A(266)+2.31*A(270)+A(271)+1.155*A(272)+2*A(273)+A(274)+A(275)+A(277)+1.15*A(279)+0.15&
               &*A(280)+A(282)+A(284)+A(285)+A(288)+A(289)+A(294)+A(295)+A(300)+A(301)+A(306)+A(307)+A(311)+A(312)+A(316)&
               &+A(317)+A(322)+A(323)+A(328)+A(329)+A(370)+A(372)+A(373)+A(396)+A(404)+A(405)+A(418)+2*A(431)+0.82*A(447)&
               &+A(455)+2*A(456)+0.5*A(460)+A(462)+0.5*A(466)+A(467)+2*A(470)+A(478)+0.3*A(485)+A(526)+A(531)+A(534)
  Vdot(15) = A(2)+A(3)+A(5)+A(30)+A(32)+2*A(37)+A(38)+A(40)+A(64)+1.4*A(65)+A(66)+A(68)+0.75*A(69)+A(74)+0.066*A(76)+0.3&
               &*A(78)+A(81)+A(91)+A(108)+A(133)+A(138)+A(141)+A(142)+A(152)+A(153)+A(154)+A(155)+A(156)+A(157)+A(190)&
               &+A(191)+2*A(223)+A(226)+A(227)+0.5*A(229)+A(230)+A(231)+A(234)+2*A(240)+2*A(241)+A(245)+A(246)+A(247)+A(260)&
               &+A(262)+A(268)+A(269)+0.388*A(276)+A(281)+A(291)+2*A(336)+A(344)+A(347)+A(348)+A(349)+A(350)+A(351)+A(352)+2&
               &*A(354)+A(356)+A(357)+2*A(358)+A(360)+2*A(362)+2*A(363)+A(366)+A(368)+2*A(375)+A(376)+0.67*A(377)+0.65&
               &*A(378)+0.56*A(381)+0.17*A(384)+A(397)+A(398)+A(399)+A(400)+A(401)+2*A(419)+2*A(423)+2*A(424)+2*A(433)+2&
               &*A(434)+A(438)+A(440)+A(441)+A(442)+A(443)+A(444)+A(445)+A(451)+A(452)+2*A(453)+A(463)+2*A(481)+A(521)+2&
               &*A(540)+A(544)
  Vdot(16) = A(22)+A(38)+0.05*A(39)+0.728*A(59)+A(60)+0.5*A(61)+A(66)+A(67)+0.5*A(90)+0.075*A(102)+0.33*A(115)+0.595&
               &*A(117)+0.375*A(118)+0.39*A(131)+0.56*A(133)+A(134)+0.505*A(136)+A(137)+2*A(139)+A(140)+2*A(141)+A(142)+0.5&
               &*A(147)+0.512*A(152)+0.56*A(153)+0.767*A(154)+0.251*A(174)+0.251*A(175)+0.89*A(191)+0.09*A(199)+0.857*A(201)&
               &+0.5*A(204)+A(249)+A(250)+A(251)+A(252)+A(253)+0.09*A(265)+1.5*A(283)+A(360)+A(376)+A(413)+A(437)+0.14&
               &*A(452)+A(474)+A(475)+0.88*A(483)+A(484)+A(486)+A(488)+A(490)+2*A(491)+2*A(492)+A(493)+A(494)+A(495)+A(496)&
               &+A(498)+0.67*A(509)+0.5*A(512)+0.5*A(516)+A(529)+A(532)
  Vdot(17) = A(12)+A(299)+A(305)+A(310)+A(315)+A(321)+A(327)
  Vdot(18) = A(235)+A(296)+A(302)+A(308)+A(313)+A(318)+A(324)+A(330)
  Vdot(19) = -A(407)-A(546)
  Vdot(20) = -A(333)
  Vdot(21) = A(85)-A(86)
  Vdot(22) = -A(334)
  Vdot(23) = A(254)-A(524)
  Vdot(24) = A(172)-A(173)
  Vdot(25) = A(281)-A(282)
  Vdot(26) = -0.86*A(380)-A(547)
  Vdot(27) = -0.88*A(385)-A(548)
  Vdot(28) = -0.86*A(386)-A(549)
  Vdot(29) = -0.75*A(392)-A(550)
  Vdot(30) = -0.75*A(393)-A(551)
  Vdot(31) = -0.3*A(394)-A(552)
  Vdot(32) = -0.41*A(388)-A(557)
  Vdot(33) = -0.75*A(395)-A(559)
  Vdot(34) = -A(348)-A(349)+A(374)-A(531)
  Vdot(35) = A(333)-A(338)-A(339)
  Vdot(36) = A(334)-A(340)-A(341)
  Vdot(37) = -0.64*A(387)-A(558)
  Vdot(38) = -A(372)-A(373)-A(374)+A(534)
  Vdot(39) = A(41)-A(42)-A(485)
  Vdot(40) = A(335)-A(342)-A(343)
  Vdot(41) = -A(360)-A(361)-A(532)
  Vdot(42) = -A(50)-A(81)
  Vdot(43) = 0.25*A(107)-A(122)+A(125)
  Vdot(44) = 0.41*A(129)-A(189)-A(515)
  Vdot(45) = -A(256)-0.68*A(383)-A(525)
  Vdot(46) = -A(257)-0.95*A(382)-A(560)
  Vdot(47) = A(224)-A(225)-A(526)-A(527)
  Vdot(48) = -A(401)+A(428)-A(429)-A(540)
  Vdot(49) = A(127)-A(166)-A(503)
  Vdot(50) = A(103)-A(167)-A(504)
  Vdot(51) = -A(335)-A(336)
  Vdot(52) = -A(232)-A(233)-A(234)
  Vdot(53) = A(25)-A(26)+0.5*A(229)-A(477)
  Vdot(54) = -A(400)+A(425)+A(432)-A(539)
  Vdot(55) = -A(404)+A(438)-A(541)
  Vdot(56) = -0.72*A(384)-A(408)-A(556)
  Vdot(57) = -0.79*A(391)-A(411)-A(553)
  Vdot(58) = -0.69*A(389)-A(409)-A(554)
  Vdot(59) = -0.74*A(390)-A(410)-A(555)
  Vdot(60) = -A(46)-A(47)-A(253)
  Vdot(61) = A(126)-A(165)-A(502)
  Vdot(62) = -A(258)-A(381)-A(535)
  Vdot(63) = -A(406)-A(437)-A(545)
  Vdot(64) = 0.41*A(131)-A(180)-A(181)-A(513)
  Vdot(65) = A(27)-A(28)-A(29)-A(478)-A(479)
  Vdot(66) = A(397)+A(401)+A(424)+A(426)-A(427)-A(430)-A(431)+A(433)+A(540)-A(561)
  Vdot(67) = A(15)-A(18)-A(19)-A(473)
  Vdot(68) = A(448)-A(454)-A(562)
  Vdot(69) = 0.75*A(69)+0.41*A(130)-A(169)-A(507)
  Vdot(70) = A(434)+A(441)+A(442)+A(444)+A(445)-A(536)
  Vdot(71) = A(105)-A(164)-A(501)
  Vdot(72) = A(235)+A(296)+A(302)+A(308)+A(313)+A(318)+A(324)+A(330)-A(533)
  Vdot(73) = A(241)+A(243)-A(244)+0.5*A(260)+0.5*A(261)+0.5*A(262)+0.5*A(263)-A(519)
  Vdot(74) = 0.5*A(227)+0.13*A(270)+0.065*A(272)-A(292)
  Vdot(75) = A(128)-A(170)-A(506)
  Vdot(76) = A(95)-A(168)+0.85*A(286)+0.5*A(290)-A(505)
  Vdot(77) = 0.88*A(99)-A(171)-A(172)-A(508)
  Vdot(78) = 0.1*A(100)-A(177)-A(511)
  Vdot(79) = -A(20)-A(21)+0.85*A(97)+0.85*A(98)-A(530)
  Vdot(80) = -A(176)+0.1*A(267)-A(509)
  Vdot(81) = -A(44)-A(190)-A(252)
  Vdot(82) = 0.654*A(176)+0.29*A(199)+0.29*A(265)-A(283)
  Vdot(83) = 0.17*A(199)+0.17*A(265)-A(287)-A(291)
  Vdot(84) = A(101)-A(178)-A(179)+A(303)-A(512)
  Vdot(85) = A(33)-A(34)-A(231)-A(438)-A(482)
  Vdot(86) = 0.85*A(102)+0.5*A(272)+0.5*A(275)-A(276)-A(510)
  Vdot(87) = A(72)+A(77)+A(104)-A(162)-A(163)-A(500)
  Vdot(88) = 0.047*A(56)-A(226)-A(269)-A(518)
  Vdot(89) = -A(35)+0.134*A(136)+A(137)+0.5*A(147)+0.074*A(174)+0.074*A(175)+0.31*A(270)+0.155*A(272)+0.65*A(277)+0.07&
               &*A(279)+0.07*A(280)+A(298)+0.07*A(447)
  Vdot(90) = -A(446)-A(452)-A(453)
  Vdot(91) = A(287)-A(288)-A(289)-A(290)
  Vdot(92) = 0.1*A(56)+0.113*A(198)-A(284)-A(285)-A(286)
  Vdot(93) = A(173)-A(174)-A(175)
  Vdot(94) = A(68)+A(87)-A(88)-A(134)-A(135)
  Vdot(95) = 0.25*A(93)+0.25*A(94)+0.25*A(109)+0.25*A(110)+0.25*A(112)+0.24*A(113)+0.48*A(114)+0.25*A(115)+0.25*A(116)&
               &+0.15*A(117)+0.25*A(119)+0.25*A(121)-A(123)+0.3*A(184)+0.25*A(449)+0.25*A(460)
  Vdot(96) = -A(243)+A(255)-A(259)-A(442)-A(522)-A(523)
  Vdot(97) = A(278)-A(279)-A(280)-A(281)+A(282)
  Vdot(98) = A(347)+A(352)+A(355)+A(356)-A(367)-A(368)-A(369)-A(370)-A(371)+0.24*A(377)+0.15*A(378)+A(415)+A(474)
  Vdot(99) = -A(143)-A(152)-A(155)
  Vdot(100) = -A(132)-A(133)-A(138)+0.128*A(152)+A(495)
  Vdot(101) = -0.75*A(379)-A(396)+A(423)+A(430)+A(436)+A(440)+A(443)-A(537)
  Vdot(102) = 0.655*A(75)-A(76)-A(77)-A(78)
  Vdot(103) = 0.07*A(56)+0.5*A(79)+0.25*A(120)-A(227)-A(268)-A(528)
  Vdot(104) = 0.4*A(65)-A(70)-A(71)-A(72)-A(73)
  Vdot(105) = 0.12*A(58)+0.61*A(226)+0.14*A(273)+0.07*A(275)-A(277)-A(517)
  Vdot(106) = A(237)+A(244)-A(245)+A(259)-A(260)-A(262)-A(445)-A(521)
  Vdot(107) = 0.5*A(61)+0.075*A(102)+0.375*A(118)+0.791*A(164)+0.5*A(204)+0.5*A(227)+0.15*A(270)+0.075*A(272)-A(293)&
                &-A(529)
  Vdot(108) = 0.5*A(57)+A(70)+0.94*A(71)+0.7*A(73)+0.7*A(74)+0.919*A(76)+0.7*A(78)+0.134*A(136)-A(139)-A(141)+0.275&
                &*A(174)+0.275*A(175)+0.216*A(199)+0.216*A(265)+0.48*A(284)+0.072*A(286)+0.252*A(333)+0.26*A(334)+0.268&
                &*A(335)-A(491)-A(492)-A(493)
  Vdot(109) = 0.055*A(191)-A(327)-A(328)-A(329)-A(330)-A(331)-A(332)
  Vdot(110) = -A(13)+0.1*A(133)-A(350)-A(351)-A(352)-A(412)+A(484)
  Vdot(111) = 0.044*A(152)-A(305)-A(306)-A(307)-A(308)-A(309)
  Vdot(112) = 0.022*A(154)+0.055*A(191)-A(310)-A(311)-A(312)-A(313)-A(314)
  Vdot(113) = A(181)-A(182)-A(183)-A(184)-2*A(185)-A(186)-A(187)-A(188)
  Vdot(114) = A(47)-A(48)+0.05*A(51)-A(93)+0.03*A(109)-A(127)-A(148)-A(150)+0.36*A(166)+0.05*A(195)+A(253)+0.05*A(514)
  Vdot(115) = 0.12*A(153)-A(315)-A(316)-A(317)-A(318)-A(319)-A(320)
  Vdot(116) = 0.1*A(453)-A(455)-A(457)-A(459)-A(461)-A(463)-2*A(465)-A(466)
  Vdot(117) = 0.9*A(453)-A(456)-A(458)-A(460)-A(462)-A(464)-A(466)-2*A(467)
  Vdot(118) = 0.32*A(51)+A(62)-A(92)+0.16*A(109)+0.75*A(119)+0.791*A(167)+0.32*A(195)+A(202)+A(218)-A(251)+0.11*A(447)&
                &-A(487)-A(488)+A(504)+0.32*A(514)
  Vdot(119) = 0.12*A(133)+0.12*A(152)+0.12*A(153)+0.211*A(154)-A(294)-A(295)-A(296)-A(297)-A(298)
  Vdot(120) = -A(83)+0.15*A(129)+0.5*A(147)+A(150)+A(151)+A(183)+A(194)+A(207)+A(208)+A(209)+A(210)+A(211)+A(212)+A(213)&
                &+A(214)+A(215)+A(216)+A(217)+A(218)+A(220)+0.08*A(279)+0.08*A(280)+A(326)
  Vdot(121) = 0.6*A(65)-A(66)-A(67)-A(68)-A(69)+0.345*A(75)
  Vdot(122) = 0.15*A(59)+0.39*A(226)+0.07*A(270)+0.035*A(272)+0.26*A(273)+0.13*A(275)-A(278)-A(516)
  Vdot(123) = -A(49)-A(94)-A(128)+A(132)-A(149)-A(151)+0.209*A(170)
  Vdot(124) = 0.12*A(133)-A(321)-A(322)-A(323)-A(324)-A(325)-A(326)
  Vdot(125) = -A(61)-A(102)-A(118)+A(156)-A(204)-A(215)
  Vdot(126) = A(7)-A(9)+A(11)+A(297)+A(304)+A(309)+A(314)+A(320)+A(325)+A(331)-A(366)-A(416)+0.02*A(452)-A(472)
  Vdot(127) = -A(80)-A(105)-A(121)+A(138)+0.209*A(164)-A(206)-A(217)
  Vdot(128) = -A(405)+A(422)-A(435)-A(436)-A(439)-A(440)-A(441)-A(542)-A(543)
  Vdot(129) = -A(58)-A(100)-A(116)+A(144)+0.054*A(152)+0.209*A(177)-A(200)-A(212)
  Vdot(130) = A(46)+0.18*A(51)-A(62)-A(103)+0.09*A(109)-A(119)+0.209*A(167)+0.18*A(195)-A(202)-A(218)+0.18*A(514)
  Vdot(131) = A(446)-A(447)-A(448)-A(449)-A(450)-A(451)+0.5*A(454)
  Vdot(132) = -A(115)+0.346*A(176)-A(199)-A(211)+A(264)-A(265)-A(266)-A(267)
  Vdot(133) = A(44)-A(45)+0.32*A(51)+A(89)-A(107)+0.16*A(109)-2*A(124)-2*A(125)-A(126)+0.44*A(130)+A(158)+0.36*A(165)&
                &+A(190)+0.32*A(195)-A(219)-A(220)+A(221)+A(252)+A(486)+0.85*A(489)+0.32*A(514)
  Vdot(134) = A(84)-A(85)+A(86)-A(89)+A(91)-A(130)-A(158)-A(160)+A(169)-A(221)+0.15*A(489)+A(497)
  Vdot(135) = -A(59)-A(60)-A(101)-A(117)+0.47*A(145)+A(178)-A(201)-A(213)
  Vdot(136) = -A(55)-A(98)+A(106)+A(108)-A(112)-A(197)-A(209)+0.62*A(452)
  Vdot(137) = A(23)-A(24)+A(38)+A(40)+0.6*A(65)+A(81)+A(91)+A(108)+A(141)+A(142)+A(157)+A(188)+A(190)+0.5*A(229)+A(230)&
                &+2*A(231)+A(234)+A(259)+A(266)+A(271)+A(274)+A(285)+A(289)+A(438)+A(439)+A(440)+A(441)+A(442)-A(476)
  Vdot(138) = A(396)+A(400)+A(401)-A(403)+A(404)+A(405)+A(420)+A(439)-A(443)-A(444)-A(544)
  Vdot(139) = 0.5*A(57)+0.53*A(58)+0.578*A(100)+0.13*A(115)+0.36*A(116)-A(136)-A(137)+0.275*A(174)+0.275*A(175)+0.5&
                &*A(191)+0.234*A(199)+0.6*A(200)+0.5*A(227)+0.234*A(265)+0.9*A(267)+0.15*A(270)+0.075*A(272)+0.6*A(273)+0.3&
                &*A(275)+0.52*A(284)+0.078*A(286)+A(327)+A(328)+A(329)+A(330)+A(331)-A(490)+0.26*A(509)+0.7*A(511)+A(517)
  Vdot(140) = -A(53)+A(82)-A(96)-A(110)-A(203)-A(214)+0.612*A(276)
  Vdot(141) = 0.7*A(63)+0.7*A(64)-A(65)-A(74)-A(75)+1.2*A(79)+0.6*A(120)+0.7*A(205)
  Vdot(142) = A(20)-A(54)+A(92)-A(97)-A(111)-A(196)-A(208)+A(251)
  Vdot(143) = -A(87)+A(88)-A(90)-A(131)+0.53*A(145)+A(157)-A(159)-A(161)+A(180)-A(222)
  Vdot(144) = -A(63)-A(64)-2*A(79)-A(104)-A(120)+A(155)+0.36*A(163)-A(205)-A(216)
  Vdot(145) = -A(56)-A(57)-A(99)-A(113)-2*A(114)+A(143)+0.387*A(171)-A(198)-A(210)
  Vdot(146) = 0.123*A(56)+0.23*A(63)+0.23*A(64)+0.23*A(79)+0.3*A(113)+0.5*A(114)+0.115*A(120)+0.613*A(171)-A(191)+0.14&
                &*A(198)+0.23*A(205)-A(264)+0.29*A(508)+A(518)+A(528)
  Vdot(147) = A(21)+0.5*A(57)+0.35*A(58)+0.122*A(59)+0.5*A(61)+0.102*A(100)+0.075*A(102)+0.5*A(111)+0.29*A(115)+0.14&
                &*A(116)+0.255*A(117)+0.375*A(118)-A(140)-A(142)+A(146)+0.5*A(153)+0.88*A(154)+0.275*A(174)+0.275*A(175)+0.5&
                &*A(191)+0.234*A(199)+0.4*A(200)+0.143*A(201)+0.5*A(204)+0.234*A(265)+0.9*A(267)+0.65*A(277)+0.07*A(279)&
                &+0.07*A(280)+0.52*A(284)+0.078*A(286)+A(293)+A(310)+A(311)+A(312)+A(313)+A(314)+A(315)+A(316)+A(317)+A(318)&
                &+A(320)+0.215*A(334)+0.463*A(335)-A(494)+0.58*A(509)+0.3*A(511)+A(516)
  Vdot(148) = A(269)-A(273)-A(274)-A(275)+0.193*A(276)
  Vdot(149) = A(268)-A(270)-A(271)-A(272)+0.193*A(276)
  Vdot(150) = 0.066*A(152)-A(299)-A(300)-A(301)-A(302)-A(303)-A(304)
  Vdot(151) = A(50)-A(51)-A(52)+0.3*A(53)+A(81)-A(95)-A(109)+0.15*A(110)+0.209*A(168)-A(195)+0.3*A(203)-A(207)
  Vdot(152) = 0.5*A(57)+0.728*A(59)+A(60)+0.16*A(94)+0.2*A(111)+0.18*A(115)+0.595*A(117)+A(134)-A(146)-A(147)+0.65&
                &*A(151)+0.791*A(170)+0.725*A(174)+0.725*A(175)+A(179)+A(182)+0.7*A(184)+2*A(185)+A(186)+A(187)+0.216*A(199)&
                &+0.857*A(201)+0.5*A(227)+0.216*A(265)+0.44*A(270)+0.22*A(272)+0.6*A(273)+0.3*A(275)+0.85*A(279)+0.85*A(280)&
                &+0.5*A(283)+0.48*A(284)+0.072*A(286)+A(332)-A(499)+0.36*A(509)+A(512)+A(516)
  Vdot(153) = A(52)+0.04*A(54)+0.07*A(55)+A(66)+A(67)+A(70)+0.94*A(71)+0.7*A(73)+0.3*A(74)+0.934*A(76)+0.7*A(78)-A(82)&
                &+A(96)+0.25*A(118)+0.64*A(163)-A(514)
  Vdot(154) = A(236)-A(237)-2*A(240)-2*A(241)-A(242)+A(245)-A(247)+A(248)-A(255)-A(375)+0.15*A(378)+0.44*A(381)+0.95&
                &*A(382)+0.68*A(383)+0.31*A(387)+0.41*A(388)+0.75*A(395)-A(432)-A(433)-A(434)-A(520)+A(523)
  Vdot(155) = A(48)+0.14*A(51)+0.57*A(53)-A(84)-A(91)+0.75*A(93)+0.09*A(94)+0.033*A(100)+0.07*A(109)+0.54*A(110)+0.25&
                &*A(121)+A(123)+A(148)+A(150)+0.35*A(151)+0.64*A(166)+0.791*A(168)+0.13*A(195)+0.09*A(199)+0.57*A(203)&
                &+A(214)+A(215)+A(216)+A(217)+0.09*A(265)+A(288)+0.5*A(290)+0.43*A(447)+A(450)+A(451)+0.65*A(452)+0.5*A(454)&
                &+1.24*A(456)+0.93*A(460)+1.24*A(462)+1.24*A(464)+0.64*A(466)+1.21*A(467)-A(486)+A(500)+A(501)+A(503)+A(505)&
                &+A(510)+0.13*A(514)+A(562)
  Vdot(156) = 0.19*A(51)+0.187*A(100)-A(106)-A(108)+0.35*A(109)+0.25*A(112)+0.25*A(115)+0.25*A(116)+A(162)+0.791*A(177)&
                &+A(183)+0.19*A(195)+A(207)+A(208)+A(209)+A(210)+A(211)+A(212)+A(213)+0.34*A(270)+0.17*A(272)+0.5*A(283)&
                &+A(291)+0.44*A(447)+A(450)+A(451)+0.53*A(452)+0.5*A(454)+0.464*A(456)+0.348*A(460)+0.464*A(462)+0.464&
                &*A(464)+0.149*A(466)+0.285*A(467)-A(489)+0.19*A(514)
  Vdot(157) = 0.24*A(377)+0.75*A(379)+0.86*A(380)+0.55*A(384)+0.88*A(385)+0.86*A(386)+0.33*A(387)+0.69*A(389)+0.74&
                &*A(390)+0.79*A(391)+0.75*A(392)+0.75*A(393)+0.3*A(394)-A(397)-A(398)-A(399)+A(403)+A(414)+A(418)-A(419)&
                &-A(420)-A(421)-A(422)-2*A(423)-2*A(424)-2*A(425)-2*A(428)+2*A(429)+2*A(431)-A(432)-A(433)-A(434)+A(435)&
                &-A(538)+A(539)+A(543)
  Vdot(158) = 0.26*A(56)+0.035*A(63)+0.035*A(64)+0.035*A(79)+0.047*A(99)+0.18*A(113)+0.36*A(114)+0.018*A(120)-A(145)+0.3&
                &*A(152)-A(154)-A(156)-A(157)+0.294*A(198)+0.035*A(205)+A(299)+A(300)+A(301)+A(302)+A(304)-A(498)+0.285&
                &*A(508)
  Vdot(159) = -A(39)-A(40)+A(45)+A(49)+0.32*A(51)+0.75*A(53)+0.93*A(55)+A(80)+0.5*A(94)+0.15*A(98)+0.75*A(107)+0.16&
                &*A(109)+0.38*A(110)+0.5*A(112)+0.5*A(121)+A(122)+2*A(124)+A(125)+0.5*A(133)+A(149)+0.1*A(153)+0.64*A(165)&
                &+0.32*A(195)+A(197)+0.75*A(203)+A(206)+A(219)+A(220)-A(250)+A(321)+A(322)+A(323)+A(324)+A(325)-A(483)&
                &-A(484)+A(502)+A(506)+A(507)+0.32*A(514)
  Vdot(160) = 0.4*A(56)+0.035*A(63)+0.035*A(64)+0.035*A(79)+0.073*A(99)+0.28*A(113)+0.56*A(114)+0.018*A(120)-A(144)+0.2&
                &*A(152)-A(153)+0.453*A(198)+0.035*A(205)+A(305)+A(306)+A(307)+A(308)+A(309)-A(495)-A(496)-A(497)+0.425&
                &*A(508)
  Vdot(161) = A(232)+0.75*A(233)+A(234)-A(235)-A(296)-A(302)-A(308)-A(313)-A(318)-A(324)-A(330)+A(360)+A(361)+A(532)&
                &+A(533)
  Vdot(162) = 0.95*A(39)+A(40)-A(41)+A(42)-A(43)+0.96*A(54)+0.93*A(55)+0.53*A(58)+0.5*A(90)+0.15*A(97)+0.15*A(98)+0.578&
                &*A(100)+0.3*A(111)+0.5*A(112)+0.36*A(116)-A(129)+A(135)+A(140)+A(142)-A(148)-A(149)-A(150)-A(151)+0.158&
                &*A(152)+0.28*A(153)+0.099*A(154)+A(159)-A(182)-A(183)+A(189)+0.445*A(191)-2*A(192)-A(193)-A(194)-A(195)&
                &-A(198)-A(199)-0.4*A(200)-A(201)-A(202)-A(203)-A(204)-A(205)-A(206)-A(207)-A(208)-A(209)-A(210)-A(211)&
                &-A(212)-A(213)-A(214)-A(215)-A(216)-A(217)-A(218)-A(219)-A(220)-A(221)+A(250)+A(319)-A(450)-A(461)-A(462)&
                &+0.12*A(483)+0.7*A(485)+A(487)+0.85*A(489)+A(494)+A(496)+A(498)+A(499)+0.7*A(511)+A(513)+A(517)+A(530)
  Vdot(163) = A(5)+A(14)+A(16)+2*A(17)+A(19)-A(22)+A(36)-A(38)+0.05*A(39)+A(49)+0.39*A(53)+0.96*A(54)+0.66*A(56)+A(57)&
                &+0.35*A(58)+0.122*A(59)+0.5*A(61)+0.07*A(63)+0.07*A(64)+0.75*A(73)+0.75*A(74)+0.75*A(78)+0.07*A(79)+A(80)&
                &+0.5*A(90)+0.75*A(93)+1.25*A(94)+0.15*A(97)+0.12*A(99)+0.102*A(100)+0.075*A(102)+0.75*A(107)+0.75*A(109)&
                &+0.95*A(110)+0.5*A(111)+0.75*A(112)+1.22*A(113)+0.92*A(114)+0.95*A(115)+0.89*A(116)+1.255*A(117)+0.625&
                &*A(118)+0.75*A(119)+0.785*A(120)+1.25*A(121)+0.59*A(131)+0.5*A(133)+A(135)+0.732*A(136)+A(149)+0.709*A(152)&
                &+0.6*A(153)+0.12*A(154)+A(158)+2*A(159)+A(160)+A(161)+0.375*A(174)+0.375*A(175)+A(184)+0.445*A(191)+A(193)&
                &+A(194)+A(196)+0.747*A(198)+0.4*A(200)+0.143*A(201)+0.39*A(203)+0.5*A(204)+0.07*A(205)+A(206)+A(222)+A(226)&
                &+A(232)+A(234)-A(249)+0.65*A(270)+0.325*A(272)+0.4*A(273)+0.2*A(275)+0.35*A(277)+0.08*A(279)+0.08*A(280)&
                &+A(292)+A(294)+A(295)+A(296)+A(297)+1.92*A(333)+1.92*A(334)+1.92*A(335)+3*A(337)+A(351)+A(352)-A(376)&
                &+A(397)-A(413)+0.23*A(447)+0.75*A(449)+0.287*A(456)+A(459)+0.965*A(460)+0.287*A(462)+0.287*A(464)+0.202&
                &*A(466)+0.504*A(467)+A(473)-A(474)-A(475)+0.9*A(490)+A(493)+A(496)+A(498)+A(499)+A(506)+0.71*A(508)+0.3&
                &*A(511)+0.5*A(512)+A(513)+0.5*A(516)+A(526)+A(529)+A(530)
  Vdot(164) = -A(5)+A(13)-A(14)-A(15)-2*A(16)-2*A(17)+A(18)+A(43)+0.19*A(51)-A(73)-A(78)+A(83)+0.5*A(90)-A(93)-A(94)&
                &-A(107)-0.91*A(109)-A(110)-A(111)-A(112)-A(113)-A(115)-A(116)-A(117)-A(118)-A(119)-A(120)-A(121)+0.44&
                &*A(129)+0.39*A(131)+0.28*A(133)+0.5*A(147)+A(148)+A(149)+0.051*A(152)-A(158)-A(159)-A(160)-A(161)+A(182)&
                &-A(184)+2*A(192)-A(194)+A(195)+A(196)+A(197)+A(198)+A(199)+A(200)+A(201)+A(202)+A(203)+A(204)+A(205)+A(206)&
                &+A(219)+A(221)+A(222)-A(224)+A(225)+A(232)+A(233)+A(234)+A(319)+A(350)+A(381)-A(397)+A(412)-A(449)+0.5&
                &*A(450)-A(459)-A(460)+A(461)+0.5*A(462)+0.88*A(483)+0.3*A(485)+A(487)+2*A(488)+0.15*A(489)+A(497)+0.18&
                &*A(514)+A(515)+A(527)+A(529)+A(535)+A(545)
  Vdot(165) = -A(236)-A(238)+A(239)+2*A(240)+A(242)-A(243)+A(244)+A(246)+A(247)-A(248)-A(249)-A(250)-A(251)-A(252)&
                &-A(253)-A(254)+3*A(256)+2*A(257)+A(258)+A(375)+0.65*A(378)+0.56*A(381)+0.95*A(382)+1.36*A(383)+0.33*A(387)&
                &+0.75*A(395)+A(432)+A(433)+2*A(519)+A(520)+A(521)+A(522)+A(524)+3*A(525)+A(535)+A(536)+A(557)+A(558)+2&
                &*A(559)+2*A(560)
  Vdot(166) = A(6)+A(8)+A(9)+A(13)+A(18)+A(19)+A(20)+A(21)+A(22)+A(24)+A(26)+A(29)+A(35)+A(39)+A(44)+A(82)+A(83)+A(84)&
                &+A(92)+A(106)-A(231)+A(239)+A(258)-A(259)+A(260)+A(262)-A(297)-A(298)-A(303)-A(304)-A(309)-A(314)-A(319)&
                &-A(320)-A(325)-A(326)-A(331)-A(332)-A(344)+A(355)+A(370)+A(402)+A(403)+A(406)+A(407)+A(408)+A(409)+A(410)&
                &+A(411)-A(439)+A(443)+A(444)+A(445)
  Vdot(167) = A(2)-A(3)+A(5)-A(8)+A(9)-A(10)-2*A(11)+A(12)+A(14)-A(15)+2*A(17)+A(22)-A(27)+A(28)-A(30)+A(32)+A(35)+A(36)&
                &+A(38)+0.05*A(39)+A(45)+A(48)+A(49)+0.27*A(51)+0.783*A(56)+2*A(57)+0.35*A(58)+0.85*A(59)+A(62)+0.8*A(63)&
                &+0.8*A(64)+A(66)+A(67)-A(69)-A(72)+0.5*A(73)+0.5*A(74)+0.934*A(76)-A(77)+1.2*A(78)+0.8*A(79)+A(93)+A(94)&
                &-A(95)-A(96)-A(97)-A(98)-0.88*A(99)-0.898*A(100)-A(101)-0.925*A(102)-A(103)-A(104)-A(105)+A(107)+0.64&
                &*A(109)+0.5*A(110)+0.3*A(111)+0.5*A(112)+1.1*A(113)+1.28*A(114)+A(115)+0.64*A(116)+1.7*A(117)+0.375*A(118)&
                &+A(119)+0.9*A(120)+0.5*A(121)+A(122)+A(123)+2*A(124)-A(126)-A(127)-A(128)-A(129)-A(130)-A(131)+0.28*A(133)&
                &+0.773*A(136)+A(139)+A(141)+A(146)+A(148)+A(149)+0.308*A(152)+0.28*A(153)+0.317*A(154)+A(158)+A(159)-0.175&
                &*A(174)+0.825*A(175)+0.7*A(184)-A(186)+0.445*A(191)+A(193)+0.27*A(195)+0.887*A(198)+A(199)+0.4*A(200)+0.85&
                &*A(201)+A(202)+0.5*A(204)+0.8*A(205)+A(219)-A(228)+A(235)-A(237)-A(238)+A(247)+A(249)+A(258)+A(265)-0.1&
                &*A(267)+0.35*A(270)-0.825*A(272)+0.4*A(273)-0.8*A(275)-A(280)+A(283)+A(284)-0.85*A(286)+A(288)-0.5*A(290)&
                &+A(291)-A(338)-A(340)-A(342)+A(352)-A(357)+A(366)+A(367)-A(369)-A(370)-A(371)+A(376)+A(397)+A(398)+A(406)&
                &+A(413)+A(416)-A(417)-A(418)-A(420)+A(437)+0.82*A(447)-A(448)+A(449)+0.5*A(450)+A(451)+0.1*A(452)+A(454)&
                &+A(455)-A(457)-A(458)+2*A(459)+0.5*A(460)+A(461)+A(463)+A(465)+0.5*A(466)+A(473)+A(474)+A(479)+A(483)&
                &+A(486)+1.73*A(490)+2*A(491)+A(494)+A(496)+A(498)+A(499)+A(500)+A(501)+A(502)+A(503)+A(504)+A(505)+A(506)&
                &+A(507)+A(508)+A(509)+A(510)+0.3*A(511)+A(512)+0.27*A(514)+A(516)+A(518)+A(526)+A(528)+A(562)
  Vdot(168) = A(1)-A(4)+A(10)+A(14)-A(23)+A(26)-A(27)+A(28)+A(29)+A(30)+2*A(31)+A(32)-A(33)+A(34)-A(41)+A(42)+A(43)&
                &+A(45)+A(48)+A(49)+A(51)+2*A(53)+0.96*A(54)+0.93*A(55)+0.883*A(56)+0.88*A(58)+0.85*A(59)+1.5*A(61)+A(62)&
                &+1.3*A(63)+1.3*A(64)+A(66)+A(67)-A(68)+2*A(70)+1.88*A(71)+0.7*A(73)+0.7*A(74)+0.3*A(79)+2*A(80)-A(85)+A(86)&
                &-A(87)+A(88)+A(89)+A(90)+0.075*A(102)+A(110)+0.375*A(118)+0.15*A(120)+A(121)+A(134)+A(162)+A(175)+A(187)&
                &+A(203)+0.5*A(204)+0.3*A(205)+A(206)+A(214)+A(215)+A(216)+A(217)+2*A(223)-A(224)+A(225)-A(229)+A(242)&
                &+A(248)-A(254)-A(255)+A(265)+1.34*A(270)+0.17*A(272)+1.6*A(273)+0.3*A(275)+1.85*A(279)+0.85*A(280)-A(281)&
                &+A(282)+A(284)+A(288)+A(292)+A(293)+A(294)-A(295)+A(300)-A(301)+A(306)-A(307)+A(311)-A(312)+A(316)-A(317)&
                &+A(322)-A(323)+A(328)-A(329)-A(362)+A(363)+A(364)-A(365)-A(374)+A(404)+A(421)-A(422)+0.82*A(447)+A(451)&
                &+A(455)+2*A(456)+0.5*A(460)+A(462)+A(463)+2*A(464)+0.5*A(466)+A(467)-A(471)+A(476)+A(479)+A(480)+A(482)+0.7&
                &*A(485)+A(500)+A(501)+A(510)+A(514)+A(516)+A(517)+A(518)+A(523)+A(524)+A(527)+A(528)+A(529)+A(541)+A(543)
  Vdot(169) = A(6)-A(245)-A(246)+A(345)+A(346)-A(353)-A(354)-A(356)-A(357)+2*A(359)-A(360)-A(362)-A(363)-A(364)-A(365)&
                &-A(366)+A(370)+A(372)+A(373)+A(374)-A(375)-A(376)+0.09*A(377)+0.2*A(378)+0.25*A(379)+0.14*A(380)+0.05&
                &*A(382)+0.32*A(383)+0.28*A(384)+0.12*A(385)+0.14*A(386)+0.36*A(387)+0.59*A(388)+0.31*A(389)+0.26*A(390)&
                &+0.21*A(391)+0.25*A(392)+0.25*A(393)+0.7*A(394)+0.25*A(395)-A(419)-A(435)+A(468)+2*A(470)+A(471)+A(480)&
                &+A(520)+A(534)+A(538)+A(539)
  Vdot(170) = -A(1)-A(2)-A(3)-A(4)-A(5)+0.25*A(69)-A(74)+0.15*A(129)+0.15*A(130)+0.15*A(131)-A(133)-A(135)-A(152)-A(153)&
                &-A(154)-A(191)-A(226)-A(227)-A(236)-A(291)+A(353)-A(354)-A(358)-A(359)-A(368)-A(414)-A(452)-A(468)-A(469)
  Vdot(171) = 0.67*A(377)+0.75*A(379)+2.58*A(380)+0.17*A(384)+1.76*A(385)+1.72*A(386)+0.31*A(387)+0.69*A(389)+0.79&
                &*A(391)+1.5*A(392)+0.75*A(393)+A(396)+A(398)+A(402)+A(406)+3*A(407)+A(408)+2*A(409)+A(410)+2*A(411)-A(412)&
                &-A(413)-A(414)-A(415)-A(416)-A(417)-A(418)+A(419)+A(421)+A(424)+A(425)-A(426)+A(427)-A(430)-A(431)-A(436)&
                &-A(437)+A(536)+2*A(537)+A(538)+A(540)+A(541)+A(542)+A(544)+A(545)+3*A(546)+4*A(547)+3*A(548)+2*A(549)+3&
                &*A(550)+2*A(551)+A(552)+2*A(553)+2*A(554)+2*A(555)+2*A(556)+A(558)+A(561)
  Vdot(172) = A(4)+A(24)-A(30)-A(31)-A(32)-A(33)+A(34)-A(37)-A(38)-A(40)-A(64)-A(65)-A(66)-A(70)-A(81)-A(91)-A(108)&
                &+A(135)-A(138)-A(141)-A(142)-A(155)-A(156)-A(157)-A(190)-2*A(223)-A(230)-A(234)+A(243)-A(248)+0.31*A(270)&
                &+0.155*A(272)+A(277)+0.15*A(279)+0.15*A(280)+A(295)+A(301)+A(307)+A(312)+A(317)+A(323)+A(329)-A(336)-A(363)&
                &+A(365)+A(405)+A(435)+A(436)-A(451)-A(453)-A(463)-A(464)+A(478)-A(480)-A(481)+A(482)+0.3*A(485)+A(522)&
                &+A(526)+A(542)
  Vdot(173) = -A(12)+A(22)+A(38)+0.05*A(39)+0.728*A(59)+A(60)+0.5*A(61)+A(66)+A(67)+0.5*A(90)+0.075*A(102)+0.33*A(115)&
                &+0.595*A(117)+0.375*A(118)+0.39*A(131)+0.56*A(133)+A(134)+0.505*A(136)+A(137)+2*A(139)+A(140)+2*A(141)&
                &+A(142)+0.5*A(147)+0.512*A(152)+0.56*A(153)+0.767*A(154)+0.251*A(174)+0.251*A(175)+0.89*A(191)+0.09*A(199)&
                &+0.857*A(201)+0.5*A(204)+A(249)+A(250)+A(251)+A(252)+A(253)+0.09*A(265)+1.5*A(283)-A(299)-A(305)-A(310)&
                &-A(315)-A(321)-A(327)+A(360)+A(376)+A(413)+A(437)+0.14*A(452)+A(474)+A(475)+0.88*A(483)+A(484)+A(486)&
                &+A(488)+A(490)+2*A(491)+2*A(492)+A(493)+A(494)+A(495)+A(496)+A(498)+0.67*A(509)+0.5*A(512)+0.5*A(516)&
                &+A(529)+A(532)
  Vdot(174) = -A(344)-A(345)-A(346)-A(347)-A(348)-A(349)-A(350)-A(351)-A(352)-A(358)-A(359)-A(377)-A(378)-A(379)-A(380)&
                &-A(381)-A(382)-A(383)-A(384)-A(385)-A(386)-A(387)-A(388)-A(389)-A(390)-A(391)-A(392)-A(393)-A(394)-A(395)&
                &+A(469)+A(531)
  Vdot(175) = -A(2)+A(3)-2*A(6)-2*A(7)-A(8)-A(9)+A(10)-A(12)-A(13)-A(18)-A(20)-A(22)-A(23)-A(24)-A(25)-A(26)-A(29)+A(30)&
                &-A(32)-A(35)-A(36)-A(39)-A(44)-A(46)-A(47)-A(50)+A(57)+A(60)+0.5*A(61)-A(75)-A(82)-A(83)-A(84)-A(92)+0.15&
                &*A(97)+0.15*A(98)+0.12*A(99)+0.68*A(100)+0.15*A(102)-A(106)-A(122)-A(123)+0.44*A(129)+0.44*A(130)+0.44&
                &*A(131)-A(132)+0.36*A(133)-A(134)-0.773*A(136)-A(139)-A(140)-A(143)-A(144)-A(145)-A(146)+0.315*A(152)+0.36&
                &*A(153)+0.415*A(154)-0.36*A(163)-0.209*A(164)-0.36*A(165)-0.36*A(166)-0.209*A(167)-0.209*A(168)-A(169)&
                &-0.209*A(170)-0.387*A(171)-A(173)+1.125*A(174)+0.125*A(175)-0.346*A(176)-0.209*A(177)-A(178)-A(180)-A(181)&
                &+A(182)+0.7*A(184)+2*A(185)+2*A(186)+A(187)-A(189)+0.89*A(191)+0.27*A(226)+0.27*A(227)-A(232)-A(233)-A(235)&
                &-A(239)-A(244)+A(245)+A(246)-A(247)-A(256)-A(257)-A(258)-A(264)+0.9*A(267)-A(268)-A(269)+0.5*A(272)+0.5&
                &*A(275)-0.388*A(276)-A(277)-A(278)+A(280)-A(283)+0.15*A(286)-A(287)+0.5*A(290)+A(291)-A(292)-A(293)+2&
                &*A(344)+A(347)+A(350)-A(355)-A(356)+A(357)-A(361)+A(366)+A(368)+2*A(369)+A(376)+0.67*A(377)+0.65*A(378)&
                &-A(396)-A(398)-A(399)-A(400)-A(401)-A(402)-A(403)-A(404)-A(405)-A(406)-A(407)-A(408)-A(409)-A(410)-A(411)&
                &+A(418)-A(446)+0.85*A(452)-A(454)+2*A(472)+A(473)+A(476)+A(477)+A(478)+0.07*A(490)+A(500)+A(501)+A(502)&
                &+A(503)+A(504)+A(505)+A(506)+A(507)+A(508)+A(509)+A(510)+A(511)+A(512)+A(513)+A(515)+A(521)+A(530)+2*A(533)&
                &+A(544)+A(562)
  Vdot(176) = -0.91*A(377)+A(399)-A(402)+A(412)+A(413)+A(415)+A(416)+A(417)+2*A(437)-A(438)-A(440)-A(442)-A(443)-A(445)
  Vdot(177) = -A(1)-A(10)-A(14)-A(25)-A(31)+A(37)-A(43)-A(45)-A(48)-A(49)-A(51)-A(52)-A(53)-A(54)-A(55)-A(56)-A(58)&
                &-A(59)-A(61)-A(62)-A(63)-A(67)-A(71)-A(76)-A(80)-A(89)-A(90)-A(175)-A(187)-A(188)-A(242)-A(265)-A(266)&
                &-A(270)-A(271)-A(273)-A(274)-A(279)-A(284)-A(285)-A(288)-A(289)-A(294)-A(300)-A(306)-A(311)-A(316)-A(322)&
                &-A(328)-A(339)-A(341)-A(343)+2*A(349)+A(362)-A(364)+A(372)-A(373)-A(421)-A(447)-A(455)-A(456)+A(471)+A(477)&
                &+A(481)-A(534)
  Vdot(178) = A(238)-A(239)-A(246)+A(249)+A(250)+A(251)+A(252)+A(253)-A(261)-A(263)-0.8*A(378)-A(441)-A(444)
      
END SUBROUTINE Fun

! End of Fun function
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



END MODULE gckpp_Function

